SET FOREIGN_KEY_CHECKS=0;

--
-- Create Table `avm_categories`
--

DROP TABLE IF EXISTS `avm_categories`;
CREATE TABLE `avm_categories` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `desc` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_chat`
--

DROP TABLE IF EXISTS `avm_chat`;
CREATE TABLE `avm_chat` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `time` int(11) unsigned NOT NULL DEFAULT '0',
  `sender` varchar(30) NOT NULL DEFAULT '',
  `receiver` varchar(30) NOT NULL DEFAULT '',
  `message` varchar(255) NOT NULL DEFAULT '',
  `seen` int(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=223 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_comments`
--

DROP TABLE IF EXISTS `avm_comments`;
CREATE TABLE `avm_comments` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `wpis` int(11) unsigned NOT NULL DEFAULT '0',
  `user` varchar(255) NOT NULL DEFAULT '',
  `tresc` text NOT NULL,
  `data` decimal(16,4) NOT NULL DEFAULT '0.0000',
  `vote_up` int(11) unsigned NOT NULL DEFAULT '0',
  `vote_down` int(11) unsigned NOT NULL DEFAULT '0',
  `status` int(1) unsigned NOT NULL DEFAULT '0',
  `logged` int(1) unsigned NOT NULL DEFAULT '0',
  `reply_id` int(10) unsigned NOT NULL DEFAULT '0',
  `type` varchar(10) NOT NULL DEFAULT '',
  `iphash` varchar(20) NOT NULL DEFAULT '',
  `hash` varchar(255) NOT NULL DEFAULT '',
  `replies` int(11) unsigned NOT NULL DEFAULT '0',
  `flagged` tinyint(3) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_custom_page`
--

DROP TABLE IF EXISTS `avm_custom_page`;
CREATE TABLE `avm_custom_page` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Data for Table `avm_custom_page`
--

INSERT INTO `avm_custom_page` (`id`,`name`,`title`,`content`) VALUES ('1','','Cookie Policy','<div class=\"cookie-policy\">\n<p>This is the Cookie Policy for SITE_NAME, accessible from SITE_URL</p>\n<p><strong>What Are Cookies</strong></p>\n<p>As is common practice with almost all professional websites this site uses cookies, which are tiny files that are downloaded to your computer, to improve your experience. This page describes what information they gather, how we use it and why we sometimes need to store these cookies. We will also share how you can prevent these cookies from being stored however this may downgrade or \'break\' certain elements of the sites functionality.</p>\n<p>For more general information on cookies see the Wikipedia article on HTTP Cookies.</p>\n<p><strong>How We Use Cookies</strong></p>\n<p>We use cookies for a variety of reasons detailed below. Unfortunately in most cases there are no industry standard options for disabling cookies without completely disabling the functionality and features they add to this site. It is recommended that you leave on all cookies if you are not sure whether you need them or not in case they are used to provide a service that you use.</p>\n<p><strong>Disabling Cookies</strong></p>\n<p>You can prevent the setting of cookies by adjusting the settings on your browser (see your browser Help for how to do this). Be aware that disabling cookies will affect the functionality of this and many other websites that you visit. Disabling cookies will usually result in also disabling certain functionality and features of the this site. Therefore it is recommended that you do not disable cookies.</p>\n<p><strong>The Cookies We Set</strong></p>\n<ul>\n<li>\n<p>Account related cookies</p>\n<p>If you create an account with us then we will use cookies for the management of the signup process and general administration. These cookies will usually be deleted when you log out however in some cases they may remain afterwards to remember your site preferences when logged out.</p>\n</li>\n<li>\n<p>Login related cookies</p>\n<p>We use cookies when you are logged in so that we can remember this fact. This prevents you from having to log in every single time you visit a new page. These cookies are typically removed or cleared when you log out to ensure that you can only access restricted features and areas when logged in.</p>\n</li>\n<li>\n<p>Forms related cookies</p>\n<p>When you submit data to through a form such as those found on contact pages or comment forms cookies may be set to remember your user details for future correspondence.</p>\n</li>\n<li>\n<p>Site preferences cookies</p>\n<p>In order to provide you with a great experience on this site we provide the functionality to set your preferences for how this site runs when you use it. In order to remember your preferences we need to set cookies so that this information can be called whenever you interact with a page is affected by your preferences.</p>\n</li>\n</ul>\n<p><strong>Third Party Cookies</strong></p>\n<p>In some special cases we also use cookies provided by trusted third parties. The following section details which third party cookies you might encounter through this site.</p>\n<ul>\n<li>\n<p>This site uses Google Analytics which is one of the most widespread and trusted analytics solution on the web for helping us to understand how you use the site and ways that we can improve your experience. These cookies may track things such as how long you spend on the site and the pages that you visit so we can continue to produce engaging content.</p>\n<p>For more information on Google Analytics cookies, see the official Google Analytics page.</p>\n</li>\n<li>\n<p>The Google AdSense service we use to serve advertising uses a DoubleClick cookie to serve more relevant ads across the web and limit the number of times that a given ad is shown to you.</p>\n<p>For more information on Google AdSense see the official Google AdSense privacy FAQ.</p>\n</li>\n</ul>\n<p><strong>More Information</strong></p>\n<p>Hopefully that has clarified things for you and as was previously mentioned if there is something that you aren\'t sure whether you need or not it\'s usually safer to leave cookies enabled in case it does interact with one of the features you use on our site.</p>\n</div>');

--
-- Create Table `avm_daily_stats`
--

DROP TABLE IF EXISTS `avm_daily_stats`;
CREATE TABLE `avm_daily_stats` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `pid` int(11) unsigned NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `views` int(255) unsigned NOT NULL DEFAULT '0',
  `likes` int(255) unsigned NOT NULL DEFAULT '0',
  `dislikes` int(10) unsigned NOT NULL DEFAULT '0',
  `fav` int(11) unsigned NOT NULL DEFAULT '0',
  `item` varchar(10) NOT NULL DEFAULT '',
  `item_type` varchar(10) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4083 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_favorites`
--

DROP TABLE IF EXISTS `avm_favorites`;
CREATE TABLE `avm_favorites` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `pid` int(11) unsigned NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `item` varchar(10) NOT NULL DEFAULT '',
  `action` varchar(255) NOT NULL DEFAULT '',
  `userhash` varchar(10) NOT NULL DEFAULT '',
  `username` varchar(20) NOT NULL DEFAULT '',
  `time` decimal(16,4) unsigned NOT NULL DEFAULT '0.0000',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=196 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_follow`
--

DROP TABLE IF EXISTS `avm_follow`;
CREATE TABLE `avm_follow` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `kto` varchar(50) NOT NULL DEFAULT '',
  `kogo` varchar(50) NOT NULL DEFAULT '',
  `czas` decimal(16,4) unsigned NOT NULL DEFAULT '0.0000',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_groups`
--

DROP TABLE IF EXISTS `avm_groups`;
CREATE TABLE `avm_groups` (
  `group_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `group_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Data for Table `avm_groups`
--

/*!40000 ALTER TABLE `avm_groups` DISABLE KEYS */;
INSERT INTO `avm_groups` (`group_id`,`group_name`) VALUES ('1','Guests');
INSERT INTO `avm_groups` (`group_id`,`group_name`) VALUES ('2','Members');
INSERT INTO `avm_groups` (`group_id`,`group_name`) VALUES ('3','Moderators');
INSERT INTO `avm_groups` (`group_id`,`group_name`) VALUES ('4','Administrators');
/*!40000 ALTER TABLE `avm_groups` ENABLE KEYS */;


--
-- Create Table `avm_login`
--

DROP TABLE IF EXISTS `avm_login`;
CREATE TABLE `avm_login` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `username` varchar(20) NOT NULL DEFAULT '',
  `password` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `actcode` varchar(50) NOT NULL DEFAULT '',
  `activated` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `lastlogin` int(10) unsigned NOT NULL DEFAULT '0',
  `cookie` varchar(100) NOT NULL DEFAULT '',
  `token` varchar(50) NOT NULL DEFAULT '',
  `auth_type` varchar(10) NOT NULL DEFAULT '',
  `regdate` int(10) unsigned NOT NULL DEFAULT '0',
  `reset_pass` varchar(100) NOT NULL DEFAULT '',
  `reset_pass_time` int(10) unsigned NOT NULL DEFAULT '0',
  `ban` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `user_bio` varchar(500) NOT NULL DEFAULT '',
  `user_name` varchar(30) NOT NULL DEFAULT '',
  `user_blog` varchar(255) NOT NULL DEFAULT '',
  `user_fburl` varchar(255) NOT NULL DEFAULT '',
  `user_email` varchar(255) NOT NULL DEFAULT '',
  `user_twurl` varchar(100) NOT NULL DEFAULT '',
  `user_gpurl` varchar(100) NOT NULL DEFAULT '',
  `user_pturl` varchar(100) NOT NULL DEFAULT '',
  `user_yturl` varchar(100) NOT NULL DEFAULT '',
  `fb_id` varchar(128) NOT NULL DEFAULT '0',
  `role` varchar(10) NOT NULL DEFAULT '',
  `ip` int(20) unsigned NOT NULL DEFAULT '0',
  `trusted` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `private` int(1) unsigned NOT NULL DEFAULT '0',
  `group_id` int(10) NOT NULL DEFAULT '2',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;

--
-- Data for Table `avm_login`
--

/*!40000 ALTER TABLE `avm_login` DISABLE KEYS */;
INSERT INTO `avm_login` (`id`,`username`,`password`,`email`,`actcode`,`activated`,`lastlogin`,`cookie`,`token`,`auth_type`,`regdate`,`reset_pass`,`reset_pass_time`,`ban`,`user_bio`,`user_name`,`user_blog`,`user_fburl`,`user_email`,`user_twurl`,`user_gpurl`,`user_pturl`,`user_yturl`,`fb_id`,`role`,`ip`,`trusted`,`private`) VALUES ('1','admin','$2y$10\$z80wRAL.lDZkwJPVADWZ..g81gM3sqj8LT5PU8FhIFdfiNgW2i14a','','','1','','','','username',NOW(),'','','0','','Avidi','','','','','','','','','admin','','1','0');

--
-- Create Table `avm_messages`
--

DROP TABLE IF EXISTS `avm_messages`;
CREATE TABLE `avm_messages` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `time` int(10) unsigned NOT NULL DEFAULT '0',
  `sender` varchar(30) NOT NULL DEFAULT '',
  `receiver` varchar(30) NOT NULL DEFAULT '',
  `topic` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  `snd` int(1) unsigned NOT NULL DEFAULT '0',
  `rcv` int(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_notes`
--

DROP TABLE IF EXISTS `avm_notes`;
CREATE TABLE `avm_notes` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `send_to` varchar(128) NOT NULL DEFAULT '',
  `send_by` varchar(128) NOT NULL DEFAULT '',
  `note_type` varchar(255) NOT NULL DEFAULT '',
  `created` decimal(16,4) unsigned NOT NULL DEFAULT '0.0000',
  `logged` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `seen` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `parent` int(11) unsigned NOT NULL DEFAULT '0',
  `params` varchar(500) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_notes_config`
--

DROP TABLE IF EXISTS `avm_notes_config`;
CREATE TABLE `avm_notes_config` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(128) NOT NULL DEFAULT '',
  `post` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `psvt` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `pscm` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `psfv` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phvt` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phcm` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phfv` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `cmre` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `cmvt` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `usfl` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Data for Table `avm_notes_config`
--

INSERT INTO `avm_notes_config` (`id`,`user`,`post`,`psvt`,`pscm`,`psfv`,`phvt`,`phcm`,`phfv`,`cmre`,`cmvt`,`usfl`) VALUES ('1','admin','1','1','1','1','1','1','1','1','1','1');

--
-- Create Table `avm_permissions`
--

DROP TABLE IF EXISTS `avm_permissions`;
CREATE TABLE `avm_permissions` (
  `permission_id` int(11) NOT NULL AUTO_INCREMENT,
  `permission_slug` varchar(255) NOT NULL DEFAULT '',
  `permission_name` varchar(255) NOT NULL DEFAULT '',
  `list_order` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`permission_id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

--
-- Data for Table `avm_permissions`
--

INSERT INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('1','submit-content','Adding Content','1');
INSERT INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('2','vote','Voting on Posts','2');
INSERT INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('3','comment','Adding Comments','2');
INSERT INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('4','upload','Uploading Videos','4');

--
-- Create Table `avm_permissions_groups`
--

DROP TABLE IF EXISTS `avm_permissions_groups`;
CREATE TABLE `avm_permissions_groups` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `group_id` int(10) NOT NULL DEFAULT 2,
  `permission_id` varchar(100) NOT NULL DEFAULT '',
  `value` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=utf8;

--
-- Data for Table `avm_permissions_groups`
--

INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('21','1','3','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('19','3','2','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('18','2','2','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('17','1','2','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('15','3','1','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('14','2','1','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('13','1','1','0');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('22','2','3','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('23','3','3','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('25','1','4','0');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('26','2','4','1');
INSERT INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('27','3','4','1');

--
-- Create Table `avm_permissions_users`
--

DROP TABLE IF EXISTS `avm_permissions_users`;
CREATE TABLE `avm_permissions_users` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `permission_id` int(11) NOT NULL DEFAULT '0',
  `value` int(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_photos`
--

DROP TABLE IF EXISTS `avm_photos`;
CREATE TABLE `avm_photos` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `pid` int(11) unsigned NOT NULL DEFAULT '0',
  `user` varchar(50) NOT NULL DEFAULT '',
  `file` varchar(100) NOT NULL DEFAULT '',
  `time` int(11) unsigned NOT NULL DEFAULT '0',
  `width` int(5) unsigned NOT NULL DEFAULT '0',
  `height` int(5) unsigned NOT NULL DEFAULT '0',
  `orientation` float unsigned NOT NULL DEFAULT '0',
  `dir` varchar(20) NOT NULL DEFAULT '',
  `views` int(10) unsigned NOT NULL DEFAULT '0',
  `likes` int(10) unsigned NOT NULL DEFAULT '0',
  `dislikes` int(10) unsigned NOT NULL DEFAULT '0',
  `fav` int(10) unsigned NOT NULL DEFAULT '0',
  `opis` varchar(255) NOT NULL DEFAULT '',
  `position` int(3) unsigned NOT NULL DEFAULT '0',
  `type` varchar(5) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `album` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=132 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_posts`
--

DROP TABLE IF EXISTS `avm_posts`;
CREATE TABLE `avm_posts` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user` varchar(20) NOT NULL DEFAULT '',
  `status` int(1) NOT NULL DEFAULT '0',
  `tytul` varchar(200) NOT NULL DEFAULT '',
  `opis` text NOT NULL,
  `tagi` varchar(500) NOT NULL DEFAULT '',
  `czas` decimal(16,4) unsigned NOT NULL DEFAULT '0.0000',
  `category` varchar(50) NOT NULL DEFAULT '',
  `logged` int(1) unsigned NOT NULL DEFAULT '0',
  `views` int(11) unsigned NOT NULL DEFAULT '0',
  `likes` int(10) unsigned NOT NULL DEFAULT '0',
  `dislikes` int(10) unsigned NOT NULL DEFAULT '0',
  `comments` int(5) unsigned NOT NULL DEFAULT '0',
  `fav` int(10) unsigned NOT NULL DEFAULT '0',
  `dir` varchar(20) NOT NULL DEFAULT '',
  `hash` varchar(20) NOT NULL DEFAULT '',
  `type` varchar(10) NOT NULL DEFAULT '',
  `mode` tinytext NOT NULL,
  `mediadata` varchar(1000) NOT NULL DEFAULT '',
  `lastedit` int(11) unsigned NOT NULL DEFAULT '0',
  `private` int(1) unsigned NOT NULL DEFAULT '0',
  `locked` smallint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  FULLTEXT KEY `tytul` (`tytul`,`opis`,`tagi`),
  FULLTEXT KEY `FullText` (`tytul`,`opis`,`tagi`,`category`)
) ENGINE=InnoDB AUTO_INCREMENT=242 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_reactions`
--

DROP TABLE IF EXISTS `avm_reactions`;
CREATE TABLE `avm_reactions` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(11) unsigned NOT NULL DEFAULT '0',
  `type` varchar(10) NOT NULL DEFAULT '',
  `reactions` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Create Table `avm_tags`
--

DROP TABLE IF EXISTS `avm_tags`;
CREATE TABLE `avm_tags` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `keyword` varchar(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Create Table `avm_temp_data`
--

DROP TABLE IF EXISTS `avm_temp_data`;
CREATE TABLE `avm_temp_data` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `unid` varchar(255) NOT NULL DEFAULT '',
  `data` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Create Table `avm_user_stats`
--

DROP TABLE IF EXISTS `avm_user_stats`;
CREATE TABLE `avm_user_stats` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `pid` int(11) unsigned NOT NULL DEFAULT '0',
  `date` date NOT NULL,
  `item` varchar(10) NOT NULL DEFAULT '',
  `action` varchar(10) NOT NULL DEFAULT '',
  `userhash` varchar(10) NOT NULL DEFAULT '',
  `username` varchar(20) NOT NULL DEFAULT '',
  `time` decimal(16,4) unsigned NOT NULL DEFAULT '0.0000',
  `params` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=233 DEFAULT CHARSET=utf8;

SET FOREIGN_KEY_CHECKS=1;