<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="content-type" content="text/html; charset=UTF-8">
      <title>Avidi Media Script Installation</title>
      <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1">
      <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.3/components/table.min.css">
      <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.3.3/components/form.min.css">
      <link href="../Template/Css/fonts.css" rel="stylesheet">
      <link href="../Template/Css/style.css" rel="stylesheet">
      <link href="../Template/Css/assets.css" rel="stylesheet">
      <link href="install.css?{rand}" rel="stylesheet">
   </head>
   <body>
     <div id="root" class="hide">{root}</div>
      <header id="topmenu" class="clearfix">
         <div class="logo float-left">Avidi Media v2.0</div>
         <div class="links float-right">
            <a target="_blank" href="docs/#install">Documentation</a>
         </div>
      </header>
      <div class="body-overlay"></div>
      <ul class="body-slideshow">
         <li><span>Image 01</span></li>
         <li><span>Image 02</span></li>
         <li><span>Image 02</span></li>
      </ul>
      <div id="top-text">
         <h1>AVIDI <span>INSTALLATION</span> WIZARD</h1>
         <p>Proceed all steps and fill all required fields</p>
      </div>
      <div id="wrapper">
         <header class="head-label">Step 1: Requirements</header>
         <div id="steps" class="clearfix">
            <fieldset class="step" data-valid="true">
               <div class="top-info">First we will test your server configuration to ensure all required modules are installed and enabled</div>
               <div class="table-wrapper">
                  <table class="ui celled table requirements">
                     <tr>
                        <td>Module name</td>
                        <td>Required</td>
                        <td>Current</td>
                     </tr>{requires}
                  </table>
               </div>
            </fieldset>
            <fieldset class="step">
               <div class="top-info">Please enter your Avidi Media License key (Purchase Code)</div>
               <div class="table-wrapper">
                  <form id="license-form" class="ui form" action="?" method="post" style="padding:70px">
                     <input type="hidden" name="action" value="lctest" required>
                     <input type="text" name="username" placeholder="Envato Username" value="Valid" required >
                     <input type="text" name="license" placeholder="Avidi Media License Key (Purchase Code)" value="Valid" required>
                     <div style="text-align:center">
                        <button style="width: 100%; display: block;" type="submit" class="bttn bttn-primary" id="lnc" value="Connect">Validate License</button>
                     </div>
                  </form>
				  <a target="_blank" href="https://prowebber.ru/">More scripts at PROWEBBER.RU</a>
               </div>
            </fieldset>
            <fieldset class="step">
               <div class="top-info">Please enter your database connection details below</div>
               <div class="table-wrapper">
                  <form id="sql-form" class="ui form" action="?" method="post">
                     <input type="hidden" name="action" value="sqltest" required>
                     <input type="text" name="host" placeholder="Database host" required>
                     <input type="text" name="username" placeholder="Database username" required>
                     <input type="password" name="password" placeholder="Database password">
                     <input type="text" name="db" placeholder="Database name" required>
                     <input type="text" name="port" placeholder="Database port (optional)">
                     <div style="text-align:right">
                        <button type="submit" class="btn btn-small lightblue" id="conn" value="Connect">Connect to database</button>
                     </div>
                  </form>
               </div>
            </fieldset>
            <fieldset class="step">
               <div class="top-info">Finalizing installation</div>
               <div class="table-wrapper">
                  <table class="ui celled table" style="margin-top:0">
                     <tr>
                        <td>Creating database</td>
                        <td id="f-db" style="width: 10px;"><i class="icon-spinner rotate"></i></td>
                        <td rowspan="3" class="prc">
                           <div id="circle">
                              <strong></strong>
                           </div>
                        </td>
                     </tr>
                     <tr>
                        <td>Setting permissions</td>
                        <td id="f-perms"><i class="icon-spinner rotate"></i></td>
                     </tr>
                     <tr>
                        <td>Saving configuration</td>
                        <td id="f-save"><i class="icon-spinner rotate"></i></td>
                     </tr>
                  </table>
                  <div class="message"></div>
                </div>
            </fieldset>
            <div>asf</div>
         </div>
         <div class="clearfix navi-bottom">
            <a class="lightblue float-left navi hide" data-step="0">Previous step</a>
            <a class="lightblue float-right navi" data-step="1">Next step</a>
         </div>
      </div>
      <div id="msg"></div>
      <script src="../Libs/Javascript/jquery.js"></script>
      <script src="./resources/circle-progress.min.js"></script>
      <script src="./installer.js?{rand}"></script>
   </body>
</html>