<?php

function resolvePath($array, $index = 0) {
   if (!isset( $array[ $index ] )) { return false; }
   return stream_resolve_include_path( __DIR__ .'/'. $array[ $index ] ) 
      ?: resolvePath($array, ++$index);
}

spl_autoload_register(function($class) {
   $class = str_replace('\\', '/', $class);
   $path = resolvePath([strpos($class, '/') !== false ? 
       "Classes/$class.php" : "Classes/$class.class.php",
       "Traits/$class.trait.php"
   ]); if ($path) { require_once $path; }
});