<?php

class AddPhotos extends Submit {
   
   private $images;
   
   public function __construct($_type) {
      parent::__construct($_type);
      $this->images = $this->getImages();
      $this->submit();
   }
   
   private function getImages() {
      
      $files = glob(PATH_TEMP.'/*.{png,jpeg,jpg,gif}', GLOB_BRACE);

      if ($files) { foreach ($files as $i => $file) {
         if (strstr($file, 'hq_')) { @unlink($file); unset($files[$i]); }
      }} else { die(Lang::get('add_one_image')); }
         
      return $files;
      
   }

   private function submit() {

      $field = $this->output; 
      $this->countTags($field->tags);
      
      preg_match('/([a-z0-9]+)\.[a-z]+/is', $_POST['cover'], $cover);
      $field->hash = $cover[1];
      
      $postID = $this->sql->insert('posts', [
         'tytul' => $field->title, 'opis' => $field->desc, 
         'czas' => $field->time, 'user' => $field->user,
         'tagi' => isset($field->tags) ? $field->tags : '', 
         'category' => isset($field->category) ? $field->category : '', 
         'logged' => $field->logged, 'status' => $field->status, 
         'hash' => $field->hash, 'type' => $field->type
      ]);

      if ($postID) {

         $this->addTags($field->tags);
         $dir = $this->makeFolder($postID);
         $json = json_decode($_POST['json'], true);
         $pics = (sizeof($this->images) / 2 == 1) ? 'single' : 'gallery';

         // Updating post row in database
         $this->sql->where('id', $postID)->update('posts', [
            'dir' => $dir->date, 'mode' => $pics
         ]);
         
         foreach ($this->images as $image) {

            $img = App::getImageData($image);
            
            $name = $img->filename;
            $type = $img->extension;
            $index = (int) $json[$name]['index'];
            $title = Filter::_String($json[$name]['title']);
            $desc = Filter::_String($json[$name]['desc']);
            
            $dim = round($img->width / $img->height, 2);
            rename($image, $dir->save .'/'. $name);

            if (!stristr($name, 'm_') && $img->extension != 'gif') {
               $values[] = "(
                   '$postID', '$field->user', '$name', '$field->time', '{$img->width}', 
                   '{$img->height}', '$dim', '{$dir->date}', '$desc', $index, '$type','$title'
                )";
            } unset($type);

         } 

         if ($field->logged) $this->note->addNote('', $field->user, 'post', '', $postID, json_encode(['post_type' => $field->type]));
         $this->sql->rawQuery("INSERT INTO photos (pid,user,file,time,width,height,orientation,dir,opis,position,type,title) VALUES ".implode(',', $values));
         $this->clearFolder(); sleep(1); echo 1;

      } else { $this->Error('submit_error'); }
      
   }
   
}