<?php

defined('APP_VERSION') || die("This file can't be accessed directly");

// Class for handling Ajax requests
class AdmEdit extends PanelsEdit {
   
   private $query;
   
   public function __construct() {

      parent::__construct();

      $this->query = array();

      switch ($this->post->type) {
         case 'accept': $this->AcceptPost(); break;
         case 'permission': $this->setPermission(); break;
         case 'ad_manager': $this->AdsManager(); break;
         case 'banuser': $this->BanUser(); break;
         case 'flags': $this->Flags(); break;
         case 'change_group': $this->setGroup(); break;
         case 'activate': $this->ActivateAcc(); break;
         case 'update_icon': $this->UpdateCatIcon(); break;
         case 'update_bg': $this->UpdateBg(); break;
         case 'set_status': $this->SetPostStatus(); break;
         case 'remove_account': $this->RemoveAccount(); break;
         case 'support': $this->Support(); break;
         case 'mod_comment': $this->CommModeration(); break;
         case 'addcategory': $this->AddCategory(); break;
         case 'editcategory': $this->EditCategory(); break;
         case 'catremove': $this->RemoveCategory(); break;
         case 'config': $this->SetConfig(); break;
         case 'lock_editing': $this->LockEditing(); break;
         case 'custompage': $this->CustomPage(); break;
         case 'import_videos': $this->ImportVideos(); break;
      }

   }

   private function Support() {

      $mailer = new Mailer();
      $validator = new Validator();

      $email = $this->post->email;
      $user = $this->post->username;
      $message = $this->post->message;
      $subject = $this->post->subject;

      $subject = "Avidi Support form: " . strip_tags($subject);
      $body = strip_tags($message) . "<br><br>$user<br>$email";

      $validator->isValid('email', $email) ?: $validator->Message('email_invalid', true);
      $mailer->sendMail('avidimedia@outlook.com', $subject, $body);

   }

   private function setGroup() {
      $uid = (int) $this->post->uid;
      $group = (int) $this->post->group;
      $this->sql->where('id', $uid)->update('login', ['group_id' => $group]);
   }

   private function setPermission() {
      $post = $this->post;
      $this->sql
           ->where('group_id', $post->group_id)
           ->where('permission_id', $post->perm_id)
           ->update('permissions_groups', ['value' => $post->value]);
   }

   private function SetPostStatus() {
      $postID = (int) $this->post->id;
      $value = (int) $this->post->value;
      $this->sql->where('id', $postID)->update('posts', ['status' => $value]);
   }

   private function LockEditing() {
      $postID = (int) $this->post->id;
      $value = (int) $this->post->value;
      $this->sql->where('id', $postID)->update('posts', ['locked' => $value]);
   }

   private function ImportVideos() {

      foreach($_POST['files'] as $file) {
         
         $json = json_encode([
            'type' => 'video',
            'from' => 'uploaded',
            'mime' => $file["mime"],
            'bytes' => $file["bytes"],
            'width' => $file["width"],
            'height' => $file["height"],
            'encoder' => $file["encoder"],
            'source' => $file["source"],
            'hash' => $file["hash"]
         ]);
         
         $postID = $this->sql->insert('posts', [
            'tytul' => $file['name'], 
            'czas' => time(), 
            'user' => 'admin', 
            'hash' => $file["hash"],
            'logged' => 1, 
            'status' => 0, 
            'mode' => 'local',
            'type' => 'video',
            'mediadata' => $json
         ]);
         
         $date = DATE . '/' . $postID;
         $path = SAVE_DIR . '/' . $postID;
         $save = PATH_SAVE .'/'. $postID;
         
         $paths = (object) ['save' => $save, 'date' => $date, 'path' => $path];
         if (!is_dir($save)) { $oldmask = umask(0); mkdir($save, 0777, true); umask($oldmask); }

         foreach (glob(PATH_TEMP."/*{$file["hash"]}*") as $file) {
            rename($file, $save .'/'. basename($file));
         }

         $this->sql->where('id', $postID)->update('posts', ['dir' => $date]);
         
      } // END forEach
      
      echo 1;
      
   }
   
   private function UpdateBg() {
      
      $file = $_FILES['image'];
      
      if ($this->post->mode == "local") {
         $ref = $_SERVER["HTTP_REFERER"];
         $hash = substr(hash('crc32', parse_url($ref)["path"]),1);
      } else { $hash = 'head'; }
      
      if (is_uploaded_file($file['tmp_name'])) {
         $im = new Image($file['tmp_name']);
         $imPath = 'Uploads/Icons/bg-' . $hash . '.jpg';
         $im->toFile(PATH_ROOT . '/' . $imPath, 'image/jpeg', 90);
         echo $imPath = 'Uploads/Icons/bg-' . $hash . '.jpg';
      }
      
   }
   
   private function Flags() {
      if ($this->post->action == 'unflag') {
         echo (int) $this->sql->where('id', intval($this->post->id))
            ->update('comments', ['flagged' => 0]);
      }
   }
   
   private function AdsManager() {
      
      $ads = $_POST['value'];
      $adtag = !empty($ads['adtag']);
      
      if ($adtag && !Filter::Url($ads['adtag'])) {
          die(Lang::get('vast_url_invalid'));
      }
      
      if ($ads["vast"] == "true") {
         INI::set('adtag', $ads["adtag"] ? $ads["adtag"] : '');
         INI::set('preroll', $ads["preroll"] ? 1 : 0);
         INI::set('postroll', $ads["postroll"] ? 1 : 0);
         echo 1; return;
      }
      
      foreach ($ads as $file => $ad) {
         $path = PATH_ROOT . '/Template/Theme/' . $file . '.tpl';
         if (file_exists($path)) { 
             chmod_u($path, 0666);
             file_put_contents($path, $ad); 
            }
      } echo 1;
      
      
   }
   
   private function RemoveAccount() {
      
      $uid = $this->post->uid;
      $uname = $this->getValue($uid, 'username');
      
      $pids = $this->sql->rawQueryOne('select distinct(wpis) from comments where user=?', [$uname]);
      if ($this->sql->count) { foreach ($pids as $pid) {
         $this->sql->where('id', $pid)->update('posts', ['comments' => $this->sql->dec(1)]);
      }}
      
      $this->sql->where('kto', $$uname)->delete('follow');
      $this->sql->where('kogo', $$uname)->delete('follow');
      $this->sql->where('send_to', $uname)->delete('notes');
      $this->sql->where('send_by', $uname)->delete('notes');
      $this->sql->where('user', $uname)->delete('notes_config');
      $this->sql->where('username', $uname)->delete('user_stats');
      $this->sql->where('username', $uname)->delete('favorites');
      $this->sql->where('user', $uname)->delete('photos');
      $this->sql->where('user', $uname)->delete('posts');
      $this->sql->where('user', $uname)->delete('comments');
      $this->sql->where('username', $uname)->delete('login');
      
      echo 1;
      
   }
   
   private function CommModeration() {
      
      $data = $this->post;
      $action = $data->action;
      $E = new Comments();
      
      if ($action == 'accept') {
         
         // Increasing post comments counter
         $post_id = $this->sql->where('id', $data->id)->getValue('comments', 'wpis');
         $this->sql->where('id' , $post_id)->update('posts', ['comments' => $this->sql->inc(1)]);

         // Changing comment status
         $resp = $this->sql->where('id', $data->id)->update('comments', ['status' => 1]);
         echo $resp ? json_encode(['success' => true]) : json_encode(['error' => true, 'message' => Lang.get('error_occurred')]);
         
      } elseif ($action == 'remove') {
         
         $resp = $E->DeleteComment($data->id, $data->rid, $data->pid);
         if ($resp == 'success') { echo json_encode(['success' => true]); }
         else { echo json_encode(['error' => true, 'message' => Lang.get('error_occurred')]); }

      }
      
   }
   
   private function ActivateAcc() {
      $uid = (int) $this->post->uid;
      $this->sql->where('id', $uid)->update('login', ['activated' => 1]);
   }
   
   private function getValue($uid, $value) {
      return $this->sql->where('id', $uid)->getValue('login', $value);
   }
   
   private function BanUser() {
      
      $uid = (int) $this->post->uid;
      $act = ($this->post->action == 'ban') ? 1 : 0;
      $acc_status = $this->getValue($uid, 'activated');
      
      $data['status'] = $act ? Lang::get('acc_banned') 
         : ($acc_status ? Lang::get('acc_active') : Lang::get('acc_notactive') );

      $data['button'] = $act 
         ? '<i class="icon-user-plus"></i> ' . Lang::get('unban') 
         : '<i class="icon-user-times"></i> ' . Lang::get('ban');

      $this->sql->where('id', $uid)->update('login', ['ban' => $act]);
      echo json_encode($data);
      
   }
   
   private function SetConfig() {
      
      $value = $this->post->value;
      isset($this->post->param) && ($field = $this->post->param);
      
      if (is_array($value)) {
         $this->query = ['type' => 'array', 'vars' => $value];
         $i = sizeof($value); while ($arr = each($value)) {
            if ($rule = $this->varType($arr[0])) {
               $data[ $arr[0] ] = $this->prepConf($rule, $arr[1], $arr[0]);
            } $i--;
         }
      } else {
         $this->query = ['type' => 'string', 'vars' => $value];
         if ($rule = $this->varType($field)) {
            $data = [$field => $this->prepConf($rule, $value, $field)];
         }
      }
      
      // Saving changes to database
      if ( !empty($data) ) { 
         $resp = INI::set($data);
         if ($resp) echo json_encode(['success' => true]);
      }
      
   }
   
   private function varType($field) {
      
      $integers = [
         'profile_header', 'post_list', 'post_list_head','homepage',
         'guests_publish','guests_comments','guests_voting','in_profile','autoaccept',
         'user_minlen','user_maxlen','pass_minlen','title_minlen','title_maxlen',
         'comm_minlen','comm_maxlen','max_video_size', 'smtp','smtp_port','smtp_auth',
         'max_img_size','max_thumb_size', 'wall_posts', 'max_image_height',
         'min_image_width','max_image_width','min_image_height', 'pics_on_page',
         'art_min_words','max_img_files','wall_posts_toload', 'tags_limit',
         'allow_fb_comments', 'comm_delay','fb_appid','sb_latest','sb_mediabar',
         'points_per_comment','points_per_post','points_per_likes','wg_cookie',
         'points_per_favs','disable_signup','disable_submission','autoplay',
         'module_videos','module_photos','module_gifs','module_news',
         'switchable_comments','ft_tags'
      ];

      $strings = [
         'rewrite_pattern','app_title','mod_rewrite','app_name','app_logo','disqus_id',
         'app_lang','page_view_mode','default_comments','contact_email','admin_email',
         'smtp_host','smtp_username','smtp_password','smtp_secure', 'email_func'
      ];
      
      $floats = ['min_video_size','min_img_size','points_per_view'];

      switch ($field) {
         case in_array($field, $floats): return 'float';
         case in_array($field, $integers): return 'integer';
         case in_array($field, $strings): return 'string';
         default: return false;
      }
      
   }
   
   private function prepConf($rule, $value, $field) {
      
      switch ($rule) {
         case 'float':   $value = (float) $value; break;
         case 'integer': $value = (int) $value; break;
         case 'string':  $value = Filter::_String($value); break;
      } 
      
      // Will break on errors
      $this->fieldRule($field, $value);
      
      return $value;
      
   }

   private function fieldRule($field, $value) {

      $E = new JSobject([
         
         'admin_email' => function($field, $value) {
            $valid = filter_var($value, FILTER_VALIDATE_EMAIL);
            if (!empty($value) && !$valid) {
               $message = Lang::get('invalid_admin_email');
               die( json_encode(['error' => true, 'field' => $field, 'message' => $message]) );
            }
         },
         
         'contact_email' => function($field, $value) {
            $valid = filter_var($value, FILTER_VALIDATE_EMAIL);
            if (!empty($value) && !$valid) {
               $message = Lang::get('invalid_contact_email');
               die( json_encode(['error' => true, 'field' => $field, 'message' => $message]) );
            }
         },
         
         'allow_fb_comments' => function($field, $value) {
            if ($this->query['type'] == 'array') return;
            if (!$value && $this->conf->default_comments == 'facebook') {
               INI::set([
                  'default_comments' => 'page',
                  'allow_fb_comments' => 0
               ]);
               $message = Lang::get('adm_comm_switched');
               die( json_encode(['success' => true, 'message' => $message]) );
            }
            
         },
         
         'default_comments' => function($field, $value) {
            
            if ($this->query['type'] == 'array') {
               $vars = $this->query['vars'];
               if ($value === 'facebook' && !$vars['allow_fb_comments']) {
                  $message = Lang::get('adm_err_allowfb');
                  die( json_encode(['error' => true, 'message' => $message]) );
               }
            }
         },
         
         'app_logo' => function($field, $value) { // ===== Logo field verification ===== //
            $path = PATH_ROOT .'/'. $value;
            if (!file_exists($path)) {
               $message = Lang::get('adm_logo_notfound');
               die( json_encode(['field' => $field, 'error' => true, 'message' => $message]) );
            }

         }
         
      ]);
      
      if (isset($E->{$field}) && is_callable($E->{$field})) { 
         return call_user_func_array($E->{$field}, [$field, $value]); 
      }
      
   }
      
   private function AcceptPost() {
      
      $id = (int) $this->post->id;
      $res = $this->sql->where('id', $id)->update('posts', ['status' => 2]);
      
      if ($res) {
         $json["status"] = "success";
         $json["message"] = Lang::get('post_published');
         echo json_encode($json);
      }
      
   }
   
   private function EditCategory() {
      
      $id = (int) $this->post->id;
      $name = $this->post->name;
      $desc = $this->post->desc;
      
      $this->isValid('category', $name);
      
      if (count($this->error) === 0) {
         
         // Fetching current category name from database
         $currName = $this->sql->where('id', $id)->getValue('categories', 'name');
         
         if ($name != $currName && $this->sql->countRows('categories', "name=?", $name)) {
            die(App::printJSON('error', Lang::get('category_exists')));
         } else {
            $this->sql->where('category', $currName)->update('posts', [
               'category' => $this->sql->escape($name)
            ]);
         }
         
         $resp = $this->sql->where('id', $id)->update('categories', [
            'name' => $this->sql->escape($name), 'desc' => $this->sql->escape($desc)
         ]); 

         if ($resp) {
            $isDesc = empty($desc) ? false : $desc;
            echo json_encode(['id' => $id, 'success' => true, 'name' => $name, 'desc' => $isDesc]);
         }
         
      } else { echo App::printJSON('error', $this->getLastError()); }
      
   }
   
   private function UpdateCatIcon() {
      $icon = $_FILES['icon']; $id = (int) $this->post->id;
      if ($icon) { $this->setCategoryIcon($icon, $id); }
   }
   
   private function setCategoryIcon($file, $id) {
      if (is_uploaded_file($file['tmp_name'])) {
         $im = new Image($file['tmp_name']);
         $imPath = 'Uploads/Icons/cat-' . $id . '.png';
         $im->resize(70,70)->toFile(PATH_ROOT . '/' . $imPath, 'image/png');
      }
   }
   
   private function AddCategory() {
      
      $name = $this->post->name;
      $icon = $_FILES['cicon'];
      $desc = strip_tags($this->post->desc);
      $this->isValid('category', $name);
      
      if (count($this->error) === 0) {
         if (!$this->sql->countRows('categories', "name=?", $name)) {
            $insId = $this->sql->insert('categories', ['name' => $name, 'desc' => $desc]);
            if ($insId) {
               
               $imPath = false;
               
               if ($icon["error"] === 0) {
                  $this->setCategoryIcon($icon, $insId); 
                  $imPath = 'Uploads/Icons/cat-' . $insId . '.png';
               }

               echo App::printJSON([
                  'name' => $name, 'id' => $insId, 'html' => $this->categoryTpl($name, $insId, $imPath, $desc),
                  'status' => 'success', 'message' => Lang::get('category_added')
               ]);
               
            }
         } else { echo App::printJSON('error', Lang::get('category_exists')); }
      } else { echo App::printJSON('error', $this->getLastError()); }
      
   }
   
   private function categoryTpl($name, $id, $img = false, $desc = false) {
      if (!$img) { $img = 'Uploads/Icons/rsz_empty.jpg'; }
      $randID = rand(500,1000);
      $hide = !empty($desc) ? '' : 'hide';
      $desc = !empty($desc) ? $desc : '';
      return '<div class="row cst" id="cspage_'.$id.'" data-id="'.$id.'">
      <div class="cell c-thumb"><img class="cat-image" src="'.$img.'"></div>
      <div class="cell" style="padding-left: 0px">
            <div id="cname_'.$id.'">'.$name.'</div>
            <div id="cdesc_'.$id.'" class="'.$hide.' cat-desc-bottom">'.$desc.'</div>
      </div>
      <div class="cell col-md">
        <i class="icon-dots-three-horizontal dots-btn tip" data-from="menu-'.$randID.'" data-on="click">
            <div class="tip-content tip-menu" id="menu-'.$randID.'" data-id="'.$id.'">
               <a class="category-desc" href="#"><i class="icon-edit"></i> '.Lang::get('edit_category').'</a>
               <a class="remove-category" data-name="'.$name.'" href="#"><i class="icon-cancel-circle"></i> '.Lang::get('cat_remove_head').'</a>
            </div>
         </i>
      </div>
   </div>';
   }
   
   private function RemoveCategory() {
      
      $id = (int) $this->post->id;
      $icon = PATH_ROOT . '/Uploads/Icons/cat-'.$id.'.png';
      
      file_exists($icon) && unlink($icon);
      $this->sql->where('category', $this->post->name)->update('posts', ['category' => '']);
      echo (int) $this->sql->where('id', $id)->delete('categories');
      
   }
   
   private function CustomPage() {
      
      if ($this->post->mode == 'editing') {
         
         $id = (int) $this->post->pid;
         
         if ($this->sql->countRows('custom_page', 'id=?', [$id])) {
            $content = $this->prepareText($_POST['content']);
            $data = ['title' => $this->post->title, 'content' => $content];
            $resp = $this->sql->where('id', $id)->update('custom_page', $data);
            if ($resp) echo 1;
         }
         
      }
      
      elseif ($this->post->mode == 'creating') {
         
         $title = $this->post->title;
         $content = $this->post->content;
         
         if (!strip_tags($content)) die(Lang::get('content_empty'));
         
         $insId = $this->sql->insert('custom_page', [
            'title' => $title,
            'content' => $this->sql->escape($content)
         ]);
         
         if ($insId) echo 1;
         
      }
      
      elseif ($this->post->mode == 'removing') {
         
         $id = (int) $this->post->id;
         
         if ($this->sql->countRows('custom_page', 'id=?', [$id])) {
            $resp = $this->sql->where('id', $id)->delete('custom_page');
            if ($resp) echo 1;
         }
         
      }
      
   }
   
}