<?php

defined('APP_VERSION') || die("This file can't be accessed directly");

class AdmPanel extends Panels {

   use Prepare;

   const COMM_LIMIT = 15;
   const USER_LIMIT = 15;

   private $user;
   private $data;
   private $post;

   public function __construct() {
      User::isAdmin() ?: exit;
      $this->data = new stdClass();
      $this->user = Factory::get('User');
      $this->post = $this->preparePost();
      parent::__construct();
   }

   public function GetPageData() {

      switch ($this->page) {

         case 'users': return $this->GetUsers();
         case 'ads': return $this->AdsManager();
         case 'stats': return $this->Stats();
         case 'categories': return $this->ManageCategories();
         case 'comments': return $this->ManageComments();
         case 'custom_page': return $this->CustomPage();
         case 'layout': return $this->Layout();
         case 'import': return $this->Import();
         case 'create_page': return $this->CreatePage();

         case 'posts': return isset($this->get->edit)
            ? $this->EditPost() : $this->GetPostsList();
            break;

         case 'maincfg': case 'mediaconf': case 'upload_modules':
         case 'pointsconfig': case 'sb_widgets': case 'smtp_settings':
         case 'pagecfg': return $this->MainConfig();

      }

      // Routing other requests
      return $this->route( $this->page );

   }

   private function route($page) {

      $method = $this->_getMethod($page);
      if (method_exists($this, $method)) {
         $this->data =  $this->{$method}();
      }

      if (!isset($this->data->template) && template_exists('Adm/'.$page) ) {
         $this->data->template = 'Adm/' . $page;
      }

      return (count((array) $this->data) > 0) ? $this->data : null;

   }

   private function Perms() {

      $_data = $this->data;
      $_data->title = Lang::get('permissions');
      $_data->rows = $this->user->permissions->listPermissions();

      $_cfg = (array) App::Config('in_profile,autoaccept');
      $cBoxes = ['in_profile','autoaccept'];

      foreach ($_cfg as $_opt => $_val) {
         if (in_array($_opt, $cBoxes)) {
            $_data->$_opt = $_val ? 'checked' : '';
         }
      }

      return $_data;
   }

   private function SmtpSettings() {
      return App::Config(
         'smtp,smtp_host,smtp_port,smtp_username,smtp_password,smtp_secure,smtp_auth
      ');
   }

   public function License() {

      $thwxeje="\x64\x61\x74a";${$thwxeje}=$this->data;$data->code=App::get("c\x6f\x64e");$data->title="Av\x69\x64\x69\x20\x4de\x64\x69\x61\x20Li\x63\x65\x6e\x73e";if(isset($this->get->reset)){setcookie("\x6c\x69c\x65nse",true,time()-3600);INI::remove("code");sleep(1);header("L\x6f\x63a\x74\x69\x6f\x6e: adm?lic\x65ns\x65");}elseif(str2var($this->post,"cu")){setcookie("\x6c\x69\x63e\x6e\x73e",true,time()+10);header("Lo\x63at\x69\x6f\x6e:\x20adm?l\x69\x63\x65\x6e\x73e");}if(Cookie::is("\x6c\x69ce\x6e\x73e")&&$data->code==null){setcookie("lice\x6e\x73\x65",true,time()-3600);$data->error="\x50rov\x69\x64\x65\x64 \x6c\x69c\x65\x6ese\x20\x63o\x64\x65\x20\x69s i\x6e\x76\x61\x6c\x69d";}return$this->data;

   }

   private function Stats() {

      $_data = $this->data;
      $_data->template = 'Adm/stats';
      $_data->title = Lang::get('dashboard');
      $_data->ids = $this->sql->popular('WEEK');

      if ($_data->ids) {
         $query = "select * from posts where {$_data->ids} limit 6";
         $results = $this->sql->ObjectBuilder()->rawQuery($query);
      }

      if ($this->sql->count) {

          array_map(function($elem) {
             $elem->avatar = App::getAvatar($elem->user);
             $elem->czas = App::unixTimeArray($elem->czas);
             $elem->url = App::postLink($elem);
             $elem->published = $elem->status < 2;
             $elem->status = $this->getStatusIcon($elem->id, $elem->status);
             $elem->catlink = 'category,' . App::addLine($elem->category);
          }, $results);

          $Loop_tpl = new Template('Adm/popular_loop');
          $_data->items = $Loop_tpl->render( compact($Loop_tpl->getTags()) );

        $Loop_tpl = new Template('Adm/popular_cards');
        $_data->items2 = $Loop_tpl->render( compact($Loop_tpl->getTags()) );

      } else { $_data->empty = true; $_data->items = '<div id="empty">'.Lang::get('nothing_found').'</div>'; }

      $topusers = $this->sql->rawQuery("SELECT user, count(id) as total FROM avm_posts where status=2 GROUP BY user ORDER BY total desc");
      $topusers = array_map(function($elem) {
          $elem["avatar"] = App::getAvatar($elem["user"]);
          return $elem;
      }, $topusers);

      $Loop_tpl = new Template('Adm/topusers');
      $_data->topusers = $Loop_tpl->render( compact($Loop_tpl->getTags()) );

      return $_data;

   }

   private function getVastConfig($_data = null) {
      $vast = App::Config('adtag,preroll,postroll');
      $vast->preroll = $vast->preroll ? 'checked' : '';
      $vast->postroll = $vast->postroll ? 'checked' : '';
      return (object) array_merge((array) $_data, (array) $vast);
   }

   private function AdsManager() {

      $_data = $this->data;
      $_data->items = '';
      $_data = $this->getVastConfig();

      $ready = ['index','list','post','prof'];
      $basepath = PATH_ROOT . '/Template/Theme/';
      $templates = glob($basepath . 'ad_*.tpl');

      foreach ($templates as $file) {

         $file = pathinfo($file);
         $filename = $file['filename'];
         $basename = $file['basename'];
         $path = $basepath . $basename;

         if (file_exists($path)) {
            $cont = file_get_contents($path);
            if ( strstr($filename, 'ad_index') && in_array('index', $ready) ) { $_data->items .= '<h3>'.Lang::get('ad_h3_index').'</h3>';unset($ready[0]); }
            if ( strstr($filename, 'ad_list') && in_array('list', $ready) ) { $_data->items .= '<h3>'.Lang::get('ad_h3_list').'</h3>';unset($ready[1]); }
            if ( strstr($filename, 'ad_post') && in_array('post', $ready) ) { $_data->items .= '<h3>'.Lang::get('ad_h3_post').'</h3>';unset($ready[2]); }
            if ( strstr($filename, 'ad_prof') && in_array('prof', $ready) ) { $_data->items .= '<h3>'.Lang::get('ad_h3_prof').'</h3>';unset($ready[3]); }
            $_data->items .= '<dt><a class="acc_title" href="#">'.Lang::get($filename).'<i class="save icon-floppy-o"></i></a></dt>
            <dd class="acc_panel acc_panel_col"><textarea name="'.$filename.'">'.$cont.'</textarea></dd>';
         }

      }

      $_data->title = Lang::get('ad_manager');
      $_data->template = 'Adm/ads';
      return $_data;

   }

   private function getLangOptions() {

      $curr = App::get('app_lang');
      $path = PATH_ROOT . '/Libs/Lang/';

      foreach (glob($path . '??_??.php') as $file) {

         $data = include($file);
         $val = str_replace('.php','',basename($file));

         $selected = ($val == $curr) ? 'selected' : '';
         $langs[] = "<option value=\"$val\" $selected>{$data['__NAME__']}</option>";

         unset($selected);

      } return implode(' ', $langs);

   }

   private function Import() {

      $_data = $this->data;
      $_data->title = 'Import videos';
      $_data->template = 'Adm/import_videos';

      return $_data;

   }

   private function Layout() {

      $_data = $this->data;
      $_type = $this->get->type;

      $_data->s = App::Config('profile_header,profile_sidebar,post_list,post_list_head,homepage');
      $_data->template = 'Adm/layout';
      $_data->title = 'Layout settings';

      return $_data;

   }

   private function ManageComments() {

      $_data = $this->data;

      $this->sql->pageLimit = self::COMM_LIMIT;
      $_data->type = str2var($this->get,'type');
      $_data->title = Lang::get('manage_comments');
      $_data->template = 'Adm/comments_list';
      $page = (isset($this->get->page) ? intval($this->get->page) : 0) + 1;

      if (isset($this->get->type)) { switch ($this->get->type) {
         case 'user': $this->sql->where('user', $this->get->nick); break;
         case 'awaiting': $this->sql->where('status', 1, '<'); break;
         case 'flagged': $this->sql->where('flagged', 0, '>'); break;
         case 'logged': $this->sql->where('logged', 1); break;
         case 'guests': $this->sql->where('logged', 0); break;
      }}

      $results = $this->sql->ObjectBuilder()
         ->orderBy('id','desc')->paginate('comments', $page);

      if ($this->sql->count) {

         $_data->total = $this->sql->totalPages;
         $_data->paging = $this->getPostPaging(true, $_data->total, 'comments');

         array_map(function($elem) {

            $pid = $elem->type == 'photo' ? $this->sql->where('id', $elem->wpis)->getValue('photos','pid') : $elem->wpis;
            $post = $this->sql->where('id', $pid)->getOne('posts', ['id','tytul','type','category']);

            $elem->published = $elem->status < 1;
            $elem->status = $this->getStatusIcon($elem->id, $elem->status, 1);
            $hash = ($elem->type == 'photo') ? '#photo_' . $elem->wpis : '';

            $elem->user = ucfirst($elem->user);
            $elem->title = $post['tytul'];
            $elem->href = App::postLink($post) . $hash;
            $elem->tresc = ($elem->tresc);
            $elem->added = App::zmienczas($elem->data);
            $elem->avatar = App::getAvatar($elem->user);

         }, $results);

         $Loop_tpl = new Template('Adm/comments_loop');
         $Loop_tpl_vars = $Loop_tpl->getTags();
         $_data->items = $Loop_tpl->render( compact($Loop_tpl_vars) );

      } else { // No results
         $_data->items = '<div id="empty">'.Lang::get('list_empty').'</div>';
      }

      return $_data;

   }

   private function MainConfig() {

      $_data = $this->data;
      $_data = App::getConfig();

      $cBoxes = [ // Checkboxes
         'smtp','smtp_auth', 'autoplay', 'guests_publish','guests_comments',
         'in_profile','autoaccept','guests_voting','allow_fb_comments',
         'sb_latest','sb_mediabar','disable_signup','disable_submission',
         'module_videos','module_photos','module_gifs','module_news',
         'switchable_comments', 'ft_tags','wg_cookie'
      ];

      foreach ($_data as $_opt => $_val) {
         in_array($_opt, $cBoxes) && $_data->$_opt = $_val ? 'checked' : '';
      }

      $_data->lang_options = $this->getLangOptions();
      $_data->template = 'Adm/' . $this->page;
      $_data->title = Lang::get($this->page);

      return $_data;
   }

  protected function getPost($id) {
      return (object) $this->sql->where('id', $id)->getOne('posts');
   }

   private function getCustomPage($id) {
      return (object) $this->sql->where('id', $id)->getOne('custom_page');
   }

   private function ManageCategories() {

      $index = 0;
      $_data = $this->data;
      $_data->title = Lang::get('manage_categories');
      $_data->template = 'Adm/categories';

      $results = $this->sql->ObjectBuilder()->orderBy('name','asc')->get('categories');

      if ($this->sql->count) {

         array_map(function($elem) {
            $elem->icon = App::getCatIcon($elem->id);
            $elem->hide = empty($elem->desc) ? 'hide' : '';
         }, $results);

         $Loop_tpl = new Template('Adm/categories_loop');
         $Loop_tpl_vars = $Loop_tpl->getTags();
         $_data->items = $Loop_tpl->render( compact($Loop_tpl_vars) );

      } else { $_data->items = '<div id="empty">'.Lang::get('no_categories').'</div>'; }
      return $_data;
   }

   private function CreatePage() {

      $_data = $this->data;
      $_data->title = Lang::get('create_page');
      $_data->template = 'Adm/create_page';
      $_data->results = $this->sql->ObjectBuilder()->get('custom_page');

      if ($this->sql->count) {

         array_map(function($elem) {
            $elem->href = App::urlPrepare($elem->title);
         }, $_data->results);

      } else { $_data->noresults = true; }



      return $_data;

   }

   private function GetUsers() {

      $_data = $this->data;
      $_data->template = 'Adm/users_list';
      $_data->title = Lang::get('manage_users');

      @ $page = (int) $this->get->page + 1;
      $this->sql->pageLimit = self::USER_LIMIT;

      if (isset($this->get->group)) {
         $_data->group = $this->get->group;
         switch ($_data->group) {
            case 2: $this->sql->where('group_id', 2); break;
            case 3: $this->sql->where('group_id', 3); break;
            case 4: $this->sql->where('group_id', 4); break;
         }
      }

         $_data->sort = @ $this->get->sort ?: null;
         switch ( @ $this->get->sort ) {
            case 'nick': $row = 'username'; $order = 'asc'; break;
            case 'activity': $row = 'lastlogin'; $order = 'desc'; break;
            case 'regdate': $row = 'regdate'; $order = 'asc'; break;
            default:  $row = 'id'; $order = 'desc';
         }

      if (isset($this->post->search)) {
         $this->sql->where('username', $this->post->search);
      }

      $_data->search = filter_input(INPUT_POST, "search", FILTER_SANITIZE_SPECIAL_CHARS) ?: '';
      $_data->order_query = $this->parseUrlQuery('sort');

      $results = $this->sql->ObjectBuilder()
         ->where('username != ?', ['admin'])
         ->orderBy($row, $order)
         ->paginate('login', $page);

      if ($this->sql->count) {

         $_data->total = $this->sql->totalPages;
         $_data->paging = $this->getPostPaging(true, $_data->total, 'users');

         array_map(function($elem) {

            $user = $this->user->userData($elem->username);

            $elem->uid = $user->uid;
            $elem->avatar = App::getAvatar($elem->username);
            $elem->regdate = App::zmienczas($elem->regdate);
            $elem->status = $user->acc_status;
            $elem->lastlogin = $user->lastlogin;
            $elem->posts = $this->getPostsNum($elem->username);
            $elem->group = $this->user->getGroupnameById($elem->group_id);

         }, $results);

         $Loop_tpl = new Template('Adm/users_loop');
         $Loop_tpl_vars = $Loop_tpl->getTags();
         $_data->items = $Loop_tpl->render( compact($Loop_tpl_vars) );

      } else { // No results
         $_data->items = '<div id="empty">'.Lang::get('list_empty').'</div>';
      }

      return $_data;

   }

   private function getPostsNum($username) {
      return $this->sql->countRows('posts', 'user="' . $username . '"');
   }

   private function EditPost() {

      $_data = $this->data;
      $id = (int) $_GET['edit'];

      $_data->title = Lang::get('edit_post');
      $_data->catlist = App::getCategories('form');
      $_data->template = 'Panel/post_edit';
      $_data->post = $this->getPost($id);
      $_data->category = $_data->post->category ?: Lang::get('catselect');
      $_data->post->czas = App::zmienczas($_data->post->czas);

      if (!$this->sql->count) App::Redirect();

      return $_data;

   }

   private function CustomPage() {

      $_data = $this->data;

      if ($_GET['pageid']) { // Editing

         $id = (int) $_GET['pageid'];
         $_data = $this->getCustomPage($id);
         if (!$this->sql->count) App::Redirect();

         $_data->editmode = 'editing';
         $_data->_title = Lang::get('edit_custom_page');

      } else { // Creating

         $_data->_title = Lang::get('create_custom_page');
         $_data->editmode = 'creating';

      }

      $_data->template = 'Adm/custom_page';

      return $_data;

   }

   private function GetPostsList() {

     // Using PostList trait
     return $this->PostList('admin');

   }

}