<?php

namespace Components;

use App;
use Factory;
use Template;
use SQLparser;
use AppController;
use App as Utils;

class Wall {

   private $sql;

   public function __construct() {
      $this->sql = Factory::get('Database');
   }

   public function render($metatags) {

      $results = $this->_getResults();
      (new SQLparser)->mapResults($results);

      $data = App::getConfig();
      $tpl = new Template('Wall/wall_item');
      $items = $tpl->render(compact( $tpl->getTags() ))
               . '<div class="wallappend"></div>';

      $tpl = new Template('Wall/base_wall');
      return $tpl->extend(['metatags' => $metatags, 'wall_items' => $items])
         ->render(compact( $tpl->getTags() ));
      
   }

   private function _getResults() {
      return $this->sql->ObjectBuilder()
      ->orderBy('id', 'desc')->where('status', 2)
      ->get('posts', Utils::get('wall_posts'), [
         'id','czas','user','tytul',
         'likes','fav','dir','hash', 'dislikes',
         'views','type','category','mode',
         'likes','mediadata'
      ]);
   }

}