<?php

use App as Utils;

class SQLparser {

   public function __construct() { }

   public function mapResults(&$results) {
      array_map([$this, 'map'], $results);
   }

   public function map($elem, $array = false) {

      // Converting array to object
      if (!is_object($elem)) { $elem = (object) $elem; }
      
      $elem->link     = Utils::postLink($elem);
      $elem->avatar   = Utils::getAvatar($elem->user);
      $elem->time     = Utils::zmienczas($elem->czas);
      $elem->name     = Utils::fakeName($elem->user);
      $elem->taglist  = isset($elem->tagi) ? Utils::tagList($elem->tagi) : '';

      // To remove in future
      $elem->url_relative = $elem->link;
      $elem->czas = Utils::unixTimeArray($elem->czas);
      $elem->czas['ago'] = Utils::zmienczas($elem->czas['unix']);

      $elem->path    = 'Uploads/Media/' . $elem->dir;
      $elem->score   = $elem->likes - $elem->dislikes;

      $elem->category = Utils::parseCategory($elem->category);

      // Thumbnails
      $elem->img = new stdClass;
      $elem->img->cover = $elem->path .'/'. $elem->hash . '.jpg';
      $elem->img->thumb = $elem->path .'/m_'. $elem->hash . '.jpg';
      $elem->img->http_cover = Utils::Config('app_url') .'/'. $elem->img->cover;
      $elem->img->http_thumb = Utils::Config('app_url') .'/'. $elem->img->thumb;

      // Meta
      $elem->meta = new stdClass;
      $elem->meta->thumb = $elem->img->http_cover;
      $elem->meta->tags = isset($elem->tagi) ? $elem->tagi : '';
      $elem->meta->title = htmlentities($elem->tytul, ENT_QUOTES) .' - '. Utils::Config('app_name');
      $elem->meta->desc = isset($elem->opis) ? htmlspecialchars(mb_substr(strip_tags($elem->opis), 0, 150)) : '';

      // Media elements
      if (isset($elem->mediadata) && !empty($elem->mediadata)) {
         
         $json = json_decode($elem->mediadata);
         $elem->media = $json ?: (new stdClass);

         // For backward compatibility ( version < 1.7 )
         $elem->media->file = new stdClass();
         $elem->media->file = str2var($elem, 'media->mime') ? str2var($elem, 'media->file') : str2var($elem,'media->media_mp4');

         $elem->encoder = str2var($json,'encoder') ?: 'mp4';
         $elem->icon = Utils::getBrand($elem->type, $elem->mode, str2var($json, 'source'));
         $elem->extension = str2var($elem, 'media->mime') ? Utils::mime2ext($elem->media->mime) : 'mp4';

      }

      return $array ? (array) $elem : $elem;

   }

}