<?php

function get_script_url() {

   $script_url = null;

   if (!empty($_SERVER['SCRIPT_URL'])) {
      $script_url = $_SERVER['SCRIPT_URL'];
   }

    elseif (!empty($_SERVER['REDIRECT_URL'])) {
      $script_url = $_SERVER['REDIRECT_URL'];
    }

    elseif (!empty($_SERVER['REQUEST_URI'])) {
        $p = parse_url($_SERVER['REQUEST_URI']);
        $script_url = $p['path'];
    }

    $_SERVER['SCRIPT_URL'] = $script_url;

    return $script_url;

}

isset($_SERVER["SCRIPT_URL"]) ?: $_SERVER["SCRIPT_URL"] = get_script_url();
isset($_SERVER["SCRIPT_URI"]) ?: $_SERVER["SCRIPT_URI"] = get_script_url();

// Polyfills for Multibyte String and Iconv
// https://github.com/symfony/polyfill/tree/master/src

if (!function_exists('mb_strlen')) {

	define('MB_CASE_UPPER', 0);
	define('MB_CASE_LOWER', 1);
	define('MB_CASE_TITLE', 2);

	function mb_convert_encoding($s, $to, $from = null) { return Mbstring::mb_convert_encoding($s, $to, $from); }
	function mb_decode_mimeheader($s) { return Mbstring::mb_decode_mimeheader($s); }
	function mb_encode_mimeheader($s, $charset = null, $transferEnc = null, $lf = null, $indent = null) { return Mbstring::mb_encode_mimeheader($s, $charset, $transferEnc, $lf, $indent); }
	function mb_decode_numericentity($s, $convmap, $enc = null) { return Mbstring::mb_decode_numericentity($s, $convmap, $enc); }
	function mb_encode_numericentity($s, $convmap, $enc = null, $is_hex = false) { return Mbstring::mb_encode_numericentity($s, $convmap, $enc, $is_hex); }
	function mb_convert_case($s, $mode, $enc = null) { return Mbstring::mb_convert_case($s, $mode, $enc); }
	function mb_internal_encoding($enc = null) { return Mbstring::mb_internal_encoding($enc); }
	function mb_language($lang = null) { return Mbstring::mb_language($lang); }
	function mb_list_encodings() { return Mbstring::mb_list_encodings(); }
	function mb_encoding_aliases($encoding) { return Mbstring::mb_encoding_aliases($encoding); }
	function mb_check_encoding($var = null, $encoding = null) { return Mbstring::mb_check_encoding($var, $encoding); }
	function mb_detect_encoding($str, $encodingList = null, $strict = false) { return Mbstring::mb_detect_encoding($str, $encodingList, $strict); }
	function mb_detect_order($encodingList = null) { return Mbstring::mb_detect_order($encodingList); }
	function mb_parse_str($s, &$result = array()) { parse_str($s, $result); }
	function mb_strlen($s, $enc = null) { return Mbstring::mb_strlen($s, $enc); }
	function mb_strpos($s, $needle, $offset = 0, $enc = null) { return Mbstring::mb_strpos($s, $needle, $offset, $enc); }
	function mb_strtolower($s, $enc = null) { return Mbstring::mb_strtolower($s, $enc); }
	function mb_strtoupper($s, $enc = null) { return Mbstring::mb_strtoupper($s, $enc); }
	function mb_substitute_character($char = null) { return Mbstring::mb_substitute_character($char); }
	function mb_substr($s, $start, $length = 2147483647, $enc = null) { return Mbstring::mb_substr($s, $start, $length, $enc); }
	function mb_stripos($s, $needle, $offset = 0, $enc = null) { return Mbstring::mb_stripos($s, $needle, $offset, $enc); }
	function mb_stristr($s, $needle, $part = false, $enc = null) { return Mbstring::mb_stristr($s, $needle, $part, $enc); }
	function mb_strrchr($s, $needle, $part = false, $enc = null) { return Mbstring::mb_strrchr($s, $needle, $part, $enc); }
	function mb_strrichr($s, $needle, $part = false, $enc = null) { return Mbstring::mb_strrichr($s, $needle, $part, $enc); }
	function mb_strripos($s, $needle, $offset = 0, $enc = null) { return Mbstring::mb_strripos($s, $needle, $offset, $enc); }
	function mb_strrpos($s, $needle, $offset = 0, $enc = null) { return Mbstring::mb_strrpos($s, $needle, $offset, $enc); }
	function mb_strstr($s, $needle, $part = false, $enc = null) { return Mbstring::mb_strstr($s, $needle, $part, $enc); }
	function mb_get_info($type = 'all') { return Mbstring::mb_get_info($type); }
	function mb_http_output($enc = null) { return Mbstring::mb_http_output($enc); }
	function mb_strwidth($s, $enc = null) { return Mbstring::mb_strwidth($s, $enc); }
	function mb_substr_count($haystack, $needle, $enc = null) { return Mbstring::mb_substr_count($haystack, $needle, $enc); }
	function mb_output_handler($contents, $status) { return Mbstring::mb_output_handler($contents, $status); }
	function mb_http_input($type = '') { return Mbstring::mb_http_input($type); }
	function mb_convert_variables($toEncoding, $fromEncoding, &$a = null, &$b = null, &$c = null, &$d = null, &$e = null, &$f = null) { return Mbstring::mb_convert_variables($toEncoding, $fromEncoding, $a, $b, $c, $d, $e, $f); }

} // mb_strlen

if (!function_exists('mb_chr')) {

	function mb_ord($s, $enc = null) { return Mbstring::mb_ord($s, $enc); }
	function mb_chr($code, $enc = null) { return Mbstring::mb_chr($code, $enc); }
	function mb_scrub($s, $enc = null) { $enc = null === $enc ? mb_internal_encoding() : $enc; return mb_convert_encoding($s, $enc, $enc); }

} // mb_chr

if (!function_exists('mb_ucwords')) {
    function mb_ucwords($string) { 
        return mb_convert_case($string, MB_CASE_TITLE, "UTF-8"); 
    }
}

if (!function_exists('mb_ucfirst')) {
    function mb_ucfirst($str, $encoding = "UTF-8", $lower_str_end = false) { 
        $first_letter = mb_strtoupper(mb_substr($str, 0, 1, $encoding), $encoding); 
        $str_end = ""; if ($lower_str_end) { 
            $str_end = mb_strtolower(mb_substr($str, 1, mb_strlen($str, $encoding), $encoding), $encoding); 
        } else { $str_end = mb_substr($str, 1, mb_strlen($str, $encoding), $encoding); } 
        $str = $first_letter . $str_end; return $str; 
    } 
}

if (!function_exists('iconv')) {

	define('ICONV_VERSION', '1.0');
	define('ICONV_MIME_DECODE_STRICT', 1);
	define('ICONV_MIME_DECODE_CONTINUE_ON_ERROR', 2);

	function iconv($from, $to, $s) { return Iconvv::iconv($from, $to, $s); }
	function iconv_get_encoding($type = 'all') { return Iconvv::iconv_get_encoding($type); }
	function iconv_set_encoding($type, $charset) { return Iconvv::iconv_set_encoding($type, $charset); }
	function iconv_mime_encode($name, $value, $pref = null) { return Iconvv::iconv_mime_encode($name, $value, $pref); }
	function iconv_mime_decode_headers($encodedHeaders, $mode = 0, $enc = null) { return Iconvv::iconv_mime_decode_headers($encodedHeaders, $mode, $enc); }

	if (extension_loaded('mbstring')) {

		function iconv_strlen($s, $enc = null) { null === $enc and $enc = Iconvv::$internalEncoding; return mb_strlen($s, $enc); }
		function iconv_strpos($s, $needle, $offset = 0, $enc = null) { null === $enc and $enc = Iconvv::$internalEncoding; return mb_strpos($s, $needle, $offset, $enc); }
		function iconv_strrpos($s, $needle, $enc = null) { null === $enc and $enc = Iconvv::$internalEncoding; return mb_strrpos($s, $needle, 0, $enc); }
		function iconv_substr($s, $start, $length = 2147483647, $enc = null) { null === $enc and $enc = Iconvv::$internalEncoding; return mb_substr($s, $start, $length, $enc); }
		function iconv_mime_decode($encodedHeaders, $mode = 0, $enc = null) { null === $enc and $enc = Iconvv::$internalEncoding; return mb_decode_mimeheader($encodedHeaders, $mode, $enc); }

	} else {

		if (extension_loaded('xml')) { function iconv_strlen($s, $enc = null) { return Iconvv::strlen1($s, $enc); } }
		else { function iconv_strlen($s, $enc = null) { return Iconvv::strlen2($s, $enc); } }

		function iconv_strpos($s, $needle, $offset = 0, $enc = null) { return Iconvv::iconv_strpos($s, $needle, $offset, $enc); }
		function iconv_strrpos($s, $needle, $enc = null) { return Iconvv::iconv_strrpos($s, $needle, $enc); }
		function iconv_substr($s, $start, $length = 2147483647, $enc = null) { return Iconvv::iconv_substr($s, $start, $length, $enc); }
		function iconv_mime_decode($encodedHeaders, $mode = 0, $enc = null) { return Iconvv::iconv_mime_decode($encodedHeaders, $mode, $enc); }

	}

} // iconv

// --------------------------------------
// ---------  Helpers functions ---------
// --------------------------------------

function initClasses() {
	$args = func_get_args();
	$i = sizeof($args); while ($i--) {
		new $args[$i];
	}
}

function getScheme() {
	$srv_port = $_SERVER['SERVER_PORT'] == 443;
	$srv_http = !empty($_SERVER['HTTPS']) && $_SERVER['HTTPS'] !== 'off';
	return ($srv_http || $srv_port) ? 'https' : 'http';
}

function hasAccess($path) {
	clearstatcache();
	$access = is_readable($path) & is_writable($path);
	return is_file($path) ?: ($access &= is_executable($path));
}

function chmod_u($path, $mode) {
	$currentMask = umask(0);
	@chmod($path, $mode);
	umask($currentMask);
}

function setAccess($path, $i = 0) {

	if ($i === 0 && !file_exists($path)) { return false; }

	$access = is_readable($path) & is_writable($path);
	$file = is_file($path) ?: ($access &= is_executable($path));

	if ($access) { return 1; } elseif ($i <= 2) {
		$type = $file ? ['0644', '0664', '0666'] : ['0755', '0775', '0777'];
	  	$oldmask = umask(0); $cmod = chmod($path, octdec( $type[$i] )); umask($oldmask);
		clearstatcache(); return $cmod ? setAccess($path, ++$i) : 0;
    } else { return 0; }
	
}

function setDirAccess($path) {

	if (is_dir($path) && $acc = setAccess($path)) {
		
		if ($acc !== 1) { return 0; }

		$dir = new DirectoryIterator($path);
		$val = 1; foreach ($dir as $item) {
			if ($item->isFile()) { 
				$path = $item->getPathname();
				$val &= setAccess( $path ); 
			}
		}
		
		return $val;

	} return setAccess($path);

}

function template_exists($path) {
	return file_exists(THEME .'/'. $path . '.tpl');
}

function str2var($var, $strvar, $depth = 0) {

	if (empty($strvar)) { return $var; }

	$type  = gettype($var);
	$valid = is_object($var) || is_array($var);
	
	if ($valid) {

		if (strpos($strvar, '->')) {

			$prop = explode('->', $strvar);
			$size = count($prop) - 1;

			$var = ($type == 'object')
				? (isset($var->{$prop[ $depth ]}) ? $var->{$prop[ $depth ]} : null)
				: (isset($var[$prop[ $depth ]]) ? $var[$prop[ $depth ]] : null);

			if (in_array(gettype($var), ['array','object'])) {
				if ($size === $depth) {return $var;}
				return str2var($var, $strvar, $depth + 1);
			}

			if ($size > $depth) return null;

		} else {
			return $type === "array"
				? (array_key_exists($strvar, $var) ? $var[ $strvar ] : null)
				: (property_exists($var, $strvar) ? $var->{$strvar} : null);
		}

	}

	return $var;

}

function addLine($str) {
	$str = mb_strtolower(trim($str), 'utf-8');
	return rawurlencode(str_replace(' ', '-', $str));
}

function remLine($str) {
	return str_replace('-',' ',$str);
}