<?php

return "

SET FOREIGN_KEY_CHECKS = 0;
SET SQL_MODE = '';

CREATE TABLE IF NOT EXISTS `avm_categories` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `desc` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_chat` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `time` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `sender` varchar(30) NOT NULL DEFAULT '',
  `receiver` varchar(30) NOT NULL DEFAULT '',
  `message` varchar(255) NOT NULL DEFAULT '',
  `seen` int(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_comments` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `wpis` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `user` varchar(255) NOT NULL DEFAULT '',
  `tresc` text NOT NULL DEFAULT '',
  `data` decimal(16,4) NOT NULL DEFAULT 0.0000,
  `vote_up` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `vote_down` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `status` int(1) UNSIGNED NOT NULL DEFAULT 0,
  `logged` int(1) UNSIGNED NOT NULL DEFAULT 0,
  `reply_id` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `type` varchar(10) NOT NULL  DEFAULT '',
  `iphash` varchar(20) NOT NULL DEFAULT '',
  `hash` varchar(255) NOT NULL DEFAULT '',
  `replies` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `flagged` tinyint(3) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS  `avm_custom_page` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_daily_stats` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pid` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `date` date NOT NULL,
  `views` int(255) UNSIGNED NOT NULL DEFAULT 0,
  `likes` int(255) UNSIGNED NOT NULL DEFAULT 0,
  `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `fav` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `item` varchar(10) NOT NULL DEFAULT '',
  `item_type` varchar(10) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_favorites` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pid` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `date` date NOT NULL,
  `item` varchar(10) NOT NULL DEFAULT '',
  `action` varchar(255) NOT NULL DEFAULT '',
  `userhash` varchar(10) NOT NULL DEFAULT '',
  `username` varchar(20) NOT NULL DEFAULT '',
  `time` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_follow` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `kto` varchar(50) NOT NULL DEFAULT '',
  `kogo` varchar(50) NOT NULL DEFAULT '',
  `czas` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_login` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `username` varchar(20) NOT NULL DEFAULT '',
  `password` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `actcode` varchar(50) NOT NULL DEFAULT '',
  `activated` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `lastlogin` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `cookie` varchar(100) NOT NULL DEFAULT '',
  `token` varchar(50) NOT NULL DEFAULT '',
  `auth_type` varchar(10) NOT NULL DEFAULT '',
  `regdate` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `reset_pass` varchar(100) NOT NULL DEFAULT '',
  `reset_pass_time` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `ban` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `user_bio` varchar(500) NOT NULL DEFAULT '',
  `user_name` varchar(30) NOT NULL DEFAULT '',
  `user_blog` varchar(255) NOT NULL DEFAULT '',
  `user_fburl` varchar(255) NOT NULL DEFAULT '',
  `user_email` varchar(255) NOT NULL DEFAULT '',
  `user_twurl` varchar(100) NOT NULL DEFAULT '',
  `user_gpurl` varchar(100) NOT NULL DEFAULT '',
  `user_pturl` varchar(100) NOT NULL DEFAULT '',
  `user_yturl` varchar(100) NOT NULL DEFAULT '',
  `fb_id` varchar(128) NOT NULL DEFAULT 0,
  `role` varchar(10) NOT NULL DEFAULT '',
  `ip` int(20) UNSIGNED NOT NULL DEFAULT 0,
  `trusted` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `private` int(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_messages` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `time` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `sender` varchar(30) NOT NULL DEFAULT '',
  `receiver` varchar(30) NOT NULL DEFAULT '',
  `topic` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL DEFAULT '',
  `snd` int(1) UNSIGNED NOT NULL DEFAULT 0,
  `rcv` int(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_notes` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `send_to` varchar(128) NOT NULL DEFAULT '',
  `send_by` varchar(128) NOT NULL DEFAULT '',
  `note_type` varchar(255) NOT NULL DEFAULT '',
  `created` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000,
  `logged` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `seen` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `parent` varchar(128) NOT NULL DEFAULT '',
  `params` varchar(500) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_notes_config` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user` varchar(128) NOT NULL DEFAULT '',
  `post` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `psvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `pscm` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `psfv` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `phvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `phcm` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `phfv` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `cmre` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `cmvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  `usfl` tinyint(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_photos` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT 0,
  `user` varchar(50) NOT NULL DEFAULT '',
  `file` varchar(100) NOT NULL DEFAULT '',
  `time` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `width` int(5) UNSIGNED NOT NULL DEFAULT 0,
  `height` int(5) UNSIGNED NOT NULL DEFAULT 0,
  `orientation` float UNSIGNED NOT NULL DEFAULT 0,
  `dir` varchar(20) NOT NULL DEFAULT '',
  `views` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `likes` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `fav` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `opis` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `album` varchar(255) NOT NULL DEFAULT '',
  `position` int(3) UNSIGNED NOT NULL DEFAULT 0,
  `type` varchar(5) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=70 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_posts` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `user` varchar(20) NOT NULL DEFAULT '',
  `status` int(1) NOT NULL DEFAULT 0,
  `tytul` varchar(200) NOT NULL DEFAULT '',
  `opis` text NOT NULL DEFAULT '',
  `tagi` varchar(500) NOT NULL DEFAULT '',
  `czas` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000,
  `category` varchar(50) NOT NULL DEFAULT '',
  `logged` int(1) UNSIGNED NOT NULL DEFAULT 0,
  `views` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `likes` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `comments` int(5) UNSIGNED NOT NULL DEFAULT 0,
  `fav` int(10) UNSIGNED NOT NULL DEFAULT 0,
  `dir` varchar(20) NOT NULL DEFAULT '',
  `hash` varchar(20) NOT NULL DEFAULT '',
  `type` varchar(10) NOT NULL DEFAULT '',
  `mode` tinytext NOT NULL DEFAULT '',
  `mediadata` varchar(1000) NOT NULL DEFAULT '',
  `lastedit` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `private` int(1) UNSIGNED NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  FULLTEXT KEY `tytul` (`tytul`,`opis`,`tagi`),
  FULLTEXT KEY `FullText` (`tytul`,`opis`,`tagi`,`category`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_reactions` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `uid` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `type` varchar(10) NOT NULL DEFAULT '',
  `reactions` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_tags` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `keyword` varchar(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_temp_data` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `unid` varchar(255) NOT NULL DEFAULT '',
  `data` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_user_stats` (
  `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pid` int(11) UNSIGNED NOT NULL DEFAULT 0,
  `date` date NOT NULL,
  `item` varchar(10) NOT NULL DEFAULT '',
  `action` varchar(10) NOT NULL DEFAULT '',
  `userhash` varchar(10) NOT NULL DEFAULT '',
  `username` varchar(20) NOT NULL DEFAULT '',
  `time` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000,
  `params` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `avm_groups` (
  `group_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `group_name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`group_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `avm_groups` (`group_id`,`group_name`) VALUES ('1','Guests');
INSERT IGNORE INTO `avm_groups` (`group_id`,`group_name`) VALUES ('2','Members');
INSERT IGNORE INTO `avm_groups` (`group_id`,`group_name`) VALUES ('3','Moderators');
INSERT IGNORE INTO `avm_groups` (`group_id`,`group_name`) VALUES ('4','Administrators');

CREATE TABLE IF NOT EXISTS `avm_permissions` (
  `permission_id` int(11) NOT NULL AUTO_INCREMENT,
  `permission_slug` varchar(255) NOT NULL DEFAULT '',
  `permission_name` varchar(255) NOT NULL DEFAULT '',
  `list_order` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`permission_id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('1','submit-content','Adding Content','1');
INSERT IGNORE INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('2','vote','Voting on Posts','2');
INSERT IGNORE INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('3','comment','Adding Comments','2');
INSERT IGNORE INTO `avm_permissions` (`permission_id`,`permission_slug`,`permission_name`,`list_order`) VALUES ('4','upload','Uploading Videos','4');

CREATE TABLE IF NOT EXISTS `avm_permissions_groups` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `group_id` int(10) NOT NULL DEFAULT 0,
  `permission_id` varchar(100) NOT NULL DEFAULT '',
  `value` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `group_id` (`group_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=85 DEFAULT CHARSET=utf8;

INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('13','1','1','0');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('14','2','1','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('15','3','1','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('19','3','2','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('18','2','2','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('17','1','2','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('21','1','3','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('22','2','3','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('23','3','3','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('25','1','4','0');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('26','2','4','1');
INSERT IGNORE INTO `avm_permissions_groups` (`id`,`group_id`,`permission_id`,`value`) VALUES ('27','3','4','1');

CREATE TABLE IF NOT EXISTS `avm_permissions_users` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT 0,
  `permission_id` int(11) NOT NULL DEFAULT 0,
  `value` int(1) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

ALTER TABLE `avm_categories` ENGINE = InnoDB;
ALTER TABLE `avm_chat` ENGINE = InnoDB;
ALTER TABLE `avm_comments` ENGINE = InnoDB;
ALTER TABLE `avm_custom_page` ENGINE = InnoDB;
ALTER TABLE `avm_daily_stats` ENGINE = InnoDB;
ALTER TABLE `avm_favorites` ENGINE = InnoDB;
ALTER TABLE `avm_follow` ENGINE = InnoDB;
ALTER TABLE `avm_groups` ENGINE = InnoDB;
ALTER TABLE `avm_login` ENGINE = InnoDB;
ALTER TABLE `avm_messages` ENGINE = InnoDB;
ALTER TABLE `avm_notes` ENGINE = InnoDB;
ALTER TABLE `avm_notes_config` ENGINE = InnoDB;
ALTER TABLE `avm_permissions` ENGINE = InnoDB;
ALTER TABLE `avm_permissions_groups` ENGINE = InnoDB;
ALTER TABLE `avm_permissions_users` ENGINE = InnoDB;
ALTER TABLE `avm_photos` ENGINE = InnoDB;
ALTER TABLE `avm_posts` ENGINE = InnoDB;
ALTER TABLE `avm_reactions` ENGINE = InnoDB;
ALTER TABLE `avm_tags` ENGINE = InnoDB;
ALTER TABLE `avm_temp_data` ENGINE = InnoDB;
ALTER TABLE `avm_user_stats` ENGINE = InnoDB;

ALTER TABLE `avm_categories` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_categories` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_categories` ADD COLUMN `name` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_categories` CHANGE COLUMN `name` `name` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_categories` ADD COLUMN `desc` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_categories` CHANGE COLUMN `desc` `desc` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_chat` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_chat` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_chat` ADD COLUMN `time` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_chat` CHANGE COLUMN `time` `time` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_chat` ADD COLUMN `sender` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_chat` CHANGE COLUMN `sender` `sender` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_chat` ADD COLUMN `receiver` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_chat` CHANGE COLUMN `receiver` `receiver` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_chat` ADD COLUMN `message` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_chat` CHANGE COLUMN `message` `message` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_chat` ADD COLUMN `seen` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_chat` CHANGE COLUMN `seen` `seen` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_comments` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_comments` ADD COLUMN `wpis` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `wpis` `wpis` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `user` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` CHANGE COLUMN `user` `user` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` ADD COLUMN `tresc` text NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` CHANGE COLUMN `tresc` `tresc` text NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` ADD COLUMN `data` decimal(16,4) NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_comments` CHANGE COLUMN `data` `data` decimal(16,4) NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_comments` ADD COLUMN `vote_up` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `vote_up` `vote_up` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `vote_down` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `vote_down` `vote_down` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `status` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `status` `status` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `logged` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `logged` `logged` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `reply_id` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `reply_id` `reply_id` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` CHANGE COLUMN `type` `type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` ADD COLUMN `iphash` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` CHANGE COLUMN `iphash` `iphash` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` ADD COLUMN `hash` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` CHANGE COLUMN `hash` `hash` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_comments` ADD COLUMN `replies` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `replies` `replies` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` ADD COLUMN `flagged` tinyint(3) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_comments` CHANGE COLUMN `flagged` `flagged` tinyint(3) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_custom_page` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_custom_page` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_custom_page` ADD COLUMN `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_custom_page` CHANGE COLUMN `name` `name` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_custom_page` ADD COLUMN `title` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_custom_page` CHANGE COLUMN `title` `title` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_custom_page` ADD COLUMN `content` text NOT NULL DEFAULT '';
ALTER TABLE `avm_custom_page` CHANGE COLUMN `content` `content` text NOT NULL DEFAULT '';
ALTER TABLE `avm_daily_stats` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_daily_stats` ADD COLUMN `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `pid` `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` ADD COLUMN `date` date NOT NULL;
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `date` `date` date NOT NULL;
ALTER TABLE `avm_daily_stats` ADD COLUMN `views` int(255) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `views` `views` int(255) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` ADD COLUMN `likes` int(255) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `likes` `likes` int(255) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` ADD COLUMN `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `dislikes` `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` ADD COLUMN `fav` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `fav` `fav` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_daily_stats` ADD COLUMN `item` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `item` `item` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_daily_stats` ADD COLUMN `item_type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_daily_stats` CHANGE COLUMN `item_type` `item_type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_favorites` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_favorites` ADD COLUMN `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_favorites` CHANGE COLUMN `pid` `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_favorites` ADD COLUMN `date` date NOT NULL;
ALTER TABLE `avm_favorites` CHANGE COLUMN `date` `date` date NOT NULL;
ALTER TABLE `avm_favorites` ADD COLUMN `item` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` CHANGE COLUMN `item` `item` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` ADD COLUMN `action` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` CHANGE COLUMN `action` `action` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` ADD COLUMN `userhash` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` CHANGE COLUMN `userhash` `userhash` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` ADD COLUMN `username` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` CHANGE COLUMN `username` `username` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_favorites` ADD COLUMN `time` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_favorites` CHANGE COLUMN `time` `time` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_follow` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_follow` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_follow` ADD COLUMN `kto` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_follow` CHANGE COLUMN `kto` `kto` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_follow` ADD COLUMN `kogo` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_follow` CHANGE COLUMN `kogo` `kogo` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_follow` ADD COLUMN `czas` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_follow` CHANGE COLUMN `czas` `czas` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_login` ADD COLUMN `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_login` CHANGE COLUMN `id` `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_login` ADD COLUMN `username` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `username` `username` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `password` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `password` `password` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `email` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `email` `email` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `actcode` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `actcode` `actcode` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `activated` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `activated` `activated` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `lastlogin` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `lastlogin` `lastlogin` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `cookie` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `cookie` `cookie` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `token` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `token` `token` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `auth_type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `auth_type` `auth_type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `regdate` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `regdate` `regdate` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `reset_pass` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `reset_pass` `reset_pass` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `reset_pass_time` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `reset_pass_time` `reset_pass_time` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `ban` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `ban` `ban` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `user_bio` varchar(500) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_bio` `user_bio` varchar(500) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_name` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_name` `user_name` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_blog` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_blog` `user_blog` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_fburl` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_fburl` `user_fburl` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_email` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_email` `user_email` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_twurl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_twurl` `user_twurl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_gpurl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_gpurl` `user_gpurl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_pturl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_pturl` `user_pturl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `user_yturl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `user_yturl` `user_yturl` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `fb_id` varchar(128) NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `fb_id` `fb_id` varchar(128) NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `role` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` CHANGE COLUMN `role` `role` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_login` ADD COLUMN `ip` int(20) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `ip` `ip` int(20) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `trusted` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `trusted` `trusted` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `private` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` CHANGE COLUMN `private` `private` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_login` ADD COLUMN `group_id` int(1) UNSIGNED NOT NULL DEFAULT 2;
ALTER TABLE `avm_login` CHANGE COLUMN `group_id` `group_id` int(1) UNSIGNED NOT NULL DEFAULT 2;
ALTER TABLE `avm_messages` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_messages` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_messages` ADD COLUMN `time` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_messages` CHANGE COLUMN `time` `time` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_messages` ADD COLUMN `sender` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` CHANGE COLUMN `sender` `sender` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` ADD COLUMN `receiver` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` CHANGE COLUMN `receiver` `receiver` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` ADD COLUMN `topic` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` CHANGE COLUMN `topic` `topic` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` ADD COLUMN `message` text NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` CHANGE COLUMN `message` `message` text NOT NULL DEFAULT '';
ALTER TABLE `avm_messages` ADD COLUMN `snd` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_messages` CHANGE COLUMN `snd` `snd` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_messages` ADD COLUMN `rcv` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_messages` CHANGE COLUMN `rcv` `rcv` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_notes` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_notes` ADD COLUMN `send_to` varchar(128) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes` CHANGE COLUMN `send_to` `send_to` varchar(128) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes` ADD COLUMN `send_by` varchar(128) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes` CHANGE COLUMN `send_by` `send_by` varchar(128) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes` ADD COLUMN `note_type` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes` CHANGE COLUMN `note_type` `note_type` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes` ADD COLUMN `created` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_notes` CHANGE COLUMN `created` `created` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_notes` ADD COLUMN `logged` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes` CHANGE COLUMN `logged` `logged` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes` ADD COLUMN `seen` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes` CHANGE COLUMN `seen` `seen` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes` ADD COLUMN `parent` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes` CHANGE COLUMN `parent` `parent` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes` ADD COLUMN `params` varchar(500) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes` CHANGE COLUMN `params` `params` varchar(500) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes_config` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_notes_config` ADD COLUMN `user` varchar(128) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes_config` CHANGE COLUMN `user` `user` varchar(128) NOT NULL DEFAULT '';
ALTER TABLE `avm_notes_config` ADD COLUMN `post` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `post` `post` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `psvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `psvt` `psvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `pscm` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `pscm` `pscm` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `psfv` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `psfv` `psfv` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `phvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `phvt` `phvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `phcm` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `phcm` `phcm` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `phfv` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `phfv` `phfv` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `cmre` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `cmre` `cmre` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `cmvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `cmvt` `cmvt` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` ADD COLUMN `usfl` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_notes_config` CHANGE COLUMN `usfl` `usfl` tinyint(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_photos` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_photos` ADD COLUMN `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `pid` `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `user` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` CHANGE COLUMN `user` `user` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` ADD COLUMN `file` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` CHANGE COLUMN `file` `file` varchar(100) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` ADD COLUMN `time` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `time` `time` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `width` int(5) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `width` `width` int(5) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `height` int(5) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `height` `height` int(5) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `orientation` float UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `orientation` `orientation` float UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `dir` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` CHANGE COLUMN `dir` `dir` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` ADD COLUMN `views` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `views` `views` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `likes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `likes` `likes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `dislikes` `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `fav` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `fav` `fav` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `opis` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` CHANGE COLUMN `opis` `opis` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` ADD COLUMN `title` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` CHANGE COLUMN `title` `title` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` ADD COLUMN `album` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` CHANGE COLUMN `album` `album` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` ADD COLUMN `position` int(3) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` CHANGE COLUMN `position` `position` int(3) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_photos` ADD COLUMN `type` varchar(5) NOT NULL DEFAULT '';
ALTER TABLE `avm_photos` CHANGE COLUMN `type` `type` varchar(5) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_posts` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_posts` ADD COLUMN `user` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `user` `user` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `status` int(1) NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `status` `status` int(1) NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `tytul` varchar(200) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `tytul` `tytul` varchar(200) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `opis` text NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `opis` `opis` text NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `tagi` varchar(500) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `tagi` `tagi` varchar(500) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `czas` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_posts` CHANGE COLUMN `czas` `czas` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_posts` ADD COLUMN `category` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `category` `category` varchar(50) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `logged` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `logged` `logged` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `views` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `views` `views` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `likes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `likes` `likes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `dislikes` `dislikes` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `comments` int(5) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `comments` `comments` int(5) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `fav` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `fav` `fav` int(10) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `dir` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `dir` `dir` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `hash` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `hash` `hash` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `type` `type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `mode` tinytext NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `mode` `mode` tinytext NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `mediadata` varchar(1000) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` CHANGE COLUMN `mediadata` `mediadata` varchar(1000) NOT NULL DEFAULT '';
ALTER TABLE `avm_posts` ADD COLUMN `lastedit` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `lastedit` `lastedit` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `private` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `private` `private` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` ADD COLUMN `locked` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_posts` CHANGE COLUMN `locked` `private` int(1) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_reactions` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_reactions` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_reactions` ADD COLUMN `uid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_reactions` CHANGE COLUMN `uid` `uid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_reactions` ADD COLUMN `type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_reactions` CHANGE COLUMN `type` `type` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_reactions` ADD COLUMN `reactions` varchar(255) NOT NULL;
ALTER TABLE `avm_reactions` CHANGE COLUMN `reactions` `reactions` varchar(255) NOT NULL;
ALTER TABLE `avm_tags` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_tags` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_tags` ADD COLUMN `keyword` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_tags` CHANGE COLUMN `keyword` `keyword` varchar(30) NOT NULL DEFAULT '';
ALTER TABLE `avm_temp_data` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_temp_data` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_temp_data` ADD COLUMN `unid` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_temp_data` CHANGE COLUMN `unid` `unid` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_temp_data` ADD COLUMN `data` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_temp_data` CHANGE COLUMN `data` `data` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` ADD COLUMN `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_user_stats` CHANGE COLUMN `id` `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT;
ALTER TABLE `avm_user_stats` ADD COLUMN `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_user_stats` CHANGE COLUMN `pid` `pid` int(11) UNSIGNED NOT NULL DEFAULT 0;
ALTER TABLE `avm_user_stats` ADD COLUMN `date` date NOT NULL;
ALTER TABLE `avm_user_stats` CHANGE COLUMN `date` `date` date NOT NULL;
ALTER TABLE `avm_user_stats` ADD COLUMN `item` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` CHANGE COLUMN `item` `item` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` ADD COLUMN `action` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` CHANGE COLUMN `action` `action` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` ADD COLUMN `userhash` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` CHANGE COLUMN `userhash` `userhash` varchar(10) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` ADD COLUMN `username` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` CHANGE COLUMN `username` `username` varchar(20) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` ADD COLUMN `time` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_user_stats` CHANGE COLUMN `time` `time` decimal(16,4) UNSIGNED NOT NULL DEFAULT 0.0000;
ALTER TABLE `avm_user_stats` ADD COLUMN `params` varchar(255) NOT NULL DEFAULT '';
ALTER TABLE `avm_user_stats` CHANGE COLUMN `params` `params` varchar(255) NOT NULL DEFAULT '';

SET FOREIGN_KEY_CHECKS = 1;

";