<?php

trait FormLock {
   
   // $type - cookie / session key name
   // $message - error message on lock
   // $pause - time in seconds
   // $json - if true response in json
   
   private function FormDelay($type, $message, $pause, $json) {
      
      $delay = $pause ?: 60;
      if (User::isAdmin()) $delay = 0;
      
      $sessLock = Session::get($type);
      $cookLock = Cookie::get($type);
      $time = $sessLock ?: $cookLock ?: null;
      $locked = (time() - $time < $delay);
      
      $set = function($type) {
         Session::set($type, time());
         Cookie::set($type, time());
      };
      
      if (!$time || !$locked) { $set($type); }
      else { 
         $msg = $this->Message($message);
         die( $json ? json_encode(['status' => 'error', 'message' => $msg]) : $msg );
      }
         

   }
   
}