<?php

trait Prepare {

   protected function prepareText($str) {

      $tags  = 'section,div,iframe,blockquote,strong,ul,ol,li,a,p,span,hr,u,i,b';
      $tags .= 'article,img,pre,h1,h2,h3,h4,h5,h6,em,br,table,tr,td,tbody';

      $toRemove = '<' . implode('><', explode(',', $tags)) . '>';
      return $this->admin ? $str : $this->stripContent($str, $toRemove);
      
   }

   protected function stripContent($text, $tags = '', $invert = FALSE) {

      preg_match_all('/<(.+?)[\s]*\/?[\s]*>/si', trim($tags), $tags); $tags = array_unique($tags[1]);

      if (is_array($tags) && count($tags) > 0) {
         if ($invert == FALSE) { return preg_replace('@<(?!(?:'. implode('|', $tags) .')\b)(\w+)\b.*?>.*?</\1>@si', '', $text); }
         else { return preg_replace('@<('. implode('|', $tags) .')\b.*?>.*?</\1>@si', '', $text); }
      } elseif ($invert == FALSE) { return preg_replace('@<(\w+)\b.*?>.*?</\1>@si', '', $text); }

      return $text;

   }
   
   protected function preparePost() {

      $post = new stdClass();
      $this->raw = (object) $_POST;

      foreach ($_POST as $key => $val) {
         if (is_array($val)) {
            foreach($val as $k => $v) {
               $post->{$key}[$k] = trim(strip_tags($v));
            }
         } else { 
            $post->{$key} = trim(strip_tags($val)); 
         }
      } 

      return $post;

   }

   protected function prepareTags($_tags_) {
      
      if (empty($_tags_)) return false;

      $tags = []; $array = explode(',', $_tags_);
      array_filter($array, function($tag) use (&$tags) {
         if (preg_match('/^[\p{Arabic}\p{Cyrillic}\p{Latin}A-Za-z0-9@\s]+$/iu', $tag)) {
            if ($tag[0] == '@') { $tags['category'][] = substr($tag, 1); }
            else { $tags['tags'][] = $tag; }
         }}
      );
      
      return (object) array_map (
         function($el) { return implode(',', $el); }, 
      $tags );

   }
   
}