<?php

trait RequestErr {

   private function message($status, $msg = false) {

      if ($status == "error") { 
         
         switch ($msg) {

         // Invalid request
         case '0x001': $msg = 'Invalid request (0x001)'; break; // HTTP_X_INDEX missing
         case '0x002': $msg = 'Invalid request (0x002)'; break; // HTTP_X_FILE_NAME missing
         case '0x003': $msg = 'Invalid request (0x003)'; break; // HTTP_X_FILE_SIZE missing
         case '0x004': $msg = 'Invalid request (0x004)'; break; // HTTP_X_FILE_NAME invalid

         // $_FILES error
         case '0x005': $msg = 'The uploaded file exceeds limitation (0x005)'; break; // upload_max_filesize in php.ini
         case '0x006': $msg = 'The uploaded file exceeds limitation (0x006)'; break; // MAX_FILE_SIZE directive in HTML form
         case '0x007': $msg = 'The uploaded file was only partially uploaded (0x007)'; break;
         case '0x008': $msg = 'No file was uploaded (0x008)'; break;
         case '0x009': $msg = 'Missing a temporary folder (0x009)'; break;
         case '0x010': $msg = 'Failed to write file to disk (0x010)'; break;
         case '0x011': $msg = 'File upload stopped by extension (0x011)'; break;
         case '0x012': $msg = 'Upload error (0x012)'; break;

         // Other errors
         case '0x013': $msg = 'Invalid request (0x013)'; break; // $_FILES empty or not uploaded file
         case '0x014': $msg = 'Invalid request (0x014)'; break; // Invalid Content-Type ( not application/octet-stream )
         case '0x015': $msg = 'Upload error (0x015)'; break; // Script can't create temporary folder
         case '0x016': $msg = 'Upload error (0x016)'; break; // Script can't move uploaded files
         case '0x017': $msg = 'Invalid request (0x017)'; break; // File hash validation fail
         case '0x018': $msg = 'Upload error (0x018)'; break; // Script can't create destination file
         case '0x019': $msg = 'Invalid file type'; break; // Invalid mime type after merge
         case '0x020': $msg = 'Invalid file size'; break; // Invalid sile size after merge
            
         // Download errors
         case '0x021': $msg = 'Failed to open stream for URL, download aborted'; break;
         case '0x022': $msg = 'Download error (0x022)'; break; // Invalid file extension
         case '0x023': $msg = 'Download error (0x023)'; break; // Can't create destination file

      }}

      $json = [$status => true, 'message' => $msg];
      die(json_encode( $json ));

   }

}