<?php 

   require_once 'Libs/Engine.php';
   $home = App::get('homepage');

   $metatags = (new Render)->createHeader([
      'title' => App::get('app_title') ?: Lang::get('index_title'), 
      'meta' => ['description' => Lang::get('index_desc'), 'keywords' => Lang::get('index_keys')],
      'prop' => [
         'og:title' => App::get('app_title') ?: Lang::get('index_title'), 
         'og:description' => Lang::get('index_desc'), 'og:url' => App::Config('app_url')
      ]
   ], true);

   // WALL

if ( !isset($home) || $home == 1) {

    echo (new Layout)->get('Wall\render', $metatags);

} elseif ($home == 2) {

   // POSTS

   $_Posts = new Posts('posts');
   $_Template = new Template('base_posts');

   $jsParams = $_Posts->jsParams();
   $meta = $_Posts->getMeta();

   $output = ($_Posts->viewmode == 'list') 
      ? $_Posts->listView() 
      : $_Posts->iconView();

   if (Cookie::get('pagemode') == 'pagination' ) {
      if ($_get->tagi) $search = true;
      $_Template->extend('pagination', App::pagination($_Posts->postlimit, $_Posts->results, $search));
   }

   if ($_Posts->rows >= $_Posts->postlimit) 
      $loadmore = '<div id="loadmore"></div>';

   $_Template->extend([
      'under_h1' => $meta->under,
      'results' => $output,
      'metatags' => $metatags
   ]);

   $_Template->display( compact($_Template->getTags()) );

} elseif ($home == 3) {

    $lay = new Layout();
    $tpl = new Template('homepage');
    $slides = $lay->get('Slider\slides');
    $results = $lay->get('Slider\items');
    $tpl->display( compact($tpl->getTags()) );

}