<?php

Class Cookie {
   
   public static function is($name) {
      return isset( $_COOKIE[ $name ] );
   }
   
   public static function set($key, $value, $time = null, $path = null) {
      $time = $time ?: 432000; $path = $path ?: '/';
      setcookie($key, $value, time() + $time, $path);
   }

   public static function get($name) {
      return self::is($name) ? $_COOKIE[$name] : false;
   }

   public static function del($key) {
      setcookie($key, '', time() - 3600, '/');
   }

   public static function fetch($key) {
      if (gettype($key) == 'array' or $coma = strpos($key,',')) {
         if ($coma) $key = array_map('trim', explode(',',$key));
         foreach ($key as $name) {
            if (strpos($name,' as ')) {
               $parts = array_map('trim', explode(' as ', $name));
               $name = $parts[0]; $_name = $parts[1];
            } else { $_name = $name; }
            if (self::is($name)) { $cookies[$_name] = self::get($name); }
         } return (object) $cookies;
      } else { return self::get($key); }
   }

   public static function exists($key) {
      if (gettype($key) == 'array' or $coma = strpos($key,',')) {
         if ($coma) $key = array_map('trim', explode(',',$key));
         foreach ($key as $name) { if (!self::is($name)) return false; }
         return true;
      } else { return self::is($key); }
   }

   public static function update($key, $value = null) {
      if (gettype($key) == 'array') {
         foreach ($key as $_key => $_val) { self::update($_key, $_val); } 
      } else { self::del($key); self::set($key, $value); }
   }

}