<?php

class Factory {
   
   private static $self;
   private $instances = array();
   
   public function __construct() {
      self::$self = $this;
   }

	public static function set($name, $instance) {
      self::$self->instances[ $name ] = $instance;
      return $instance;
	}
   
   public static function get($class, $vars = null) {

      if (!isset(self::$self->instances[$class]) && class_exists($class)) {
         self::$self->instances[$class] = (isset($vars) && is_array($vars))
            ? (new ReflectionClass($class))->newInstanceArgs($vars) : new $class;
      }
      
      return self::$self->instances[$class];
      
   }
   
}