<?php

Class Filter {
	
	private static $_input;

	private static $_PHP_Filters = [
	 
		'validate' => [
         'Url' => FILTER_VALIDATE_URL,
         'Email' => FILTER_VALIDATE_EMAIL,
         '_Integer' => FILTER_VALIDATE_INT,
         '_Float' => FILTER_VALIDATE_FLOAT
      ],
      
		'sanitize' => [
         'Url' => FILTER_SANITIZE_URL,
         'Email' => FILTER_SANITIZE_EMAIL,
         '_String' => FILTER_SANITIZE_STRING,
         '_Integer' => FILTER_SANITIZE_NUMBER_INT,
         '_Float' => FILTER_SANITIZE_NUMBER_FLOAT
      ]
      
	];
	
	public static function inArray($value,$array){
		foreach( $array as $key => $val ){
			if ( $value == $val ) { return true; }
		}
	}
	
	public static function Prepare($obj,$mode) {
		$_fields['game'] = ['kategoria','tytul','opis','plik','emu','type','platform'];
		foreach ($obj as $k => $v) { 
			if (self::inArray($k,$_fields[$mode])) { 
				$obj->$k = htmlspecialchars($v); 
			}
		} return $obj;
	}

	public static function Fn_Chars($input) {
		return htmlspecialchars($input);
	}
	
	public static function Fn_Tags($input) {
		return strip_tags($input);
	}
	
	public static function Email($input, $mode = null) {
		return self::_FLT($input, $mode, explode('::',__METHOD__)[1]);
	}
	
	public static function Url($input, $mode = null) {
		return self::_FLT($input, $mode, explode('::',__METHOD__)[1]);
	}
	
	public static function _Float($input, $mode = null) {
		return self::_FLT($input, $mode, explode('::',__METHOD__)[1]);
	}
	
	public static function _Integer($input, $mode = null) {
		return self::_FLT($input, $mode, explode('::',__METHOD__)[1]);
	}
	
	public static function _String($input) {
		return self::_FLT($input, 'sanitize', explode('::',__METHOD__)[1]);
	}
	
	private static function _FLT($input, $mode = null, $param) {
	
		self::$_input = $input;
		
		$type = gettype(self::$_input);
		$mode = isset($mode) ? $mode : 'validate';
		
		if ( self::inArray($type,['array','object']) ) {
			if( self::inArray($mode,['validate','sanitize']) ){
				foreach( self::$_input as $key => &$val ){
					$val = filter_var($val, self::$_PHP_Filters[$mode][$param]);
				}
			}
			
			return self::$_input;
			
		} else {
			
			switch ($mode) {
				case 'sanitize': 
				case 'validate': return filter_var(self::$_input, self::$_PHP_Filters[$mode][$param]); break;
				case 'prepare':  return filter_var(self::$_input, self::$_PHP_Filters['validate'][$param]) ? 
									  filter_var(self::$_input, self::$_PHP_Filters['sanitize'][$param]) : false; break;
			}

		}
	}

}