tinyMCE.PluginManager.add('twitter', function(editor, url) {

   editor.on('init', function (args) { editor_id = args.target.id; });

   editor.addButton('twitter', {

      text:'',
      icon: 'icon-twitter',
      tooltip: 'Twitter post embed',

      onclick: function () {

         editor.windowManager.open({

            title: 'Twitter Embed',

            body: [{
               type: 'textbox',
               size: 40,
               height: '100px',
               name: 'twitter',
               label: 'Twitter URL:'
            }],

            onsubmit: function(e) {

               var tweetEmbedCode = e.data.twitter;

               $.ajax({

                  dataType: "jsonp", async: false,
                  url: "https://publish.twitter.com/oembed?url="+tweetEmbedCode,

                  success: function(data) {
                     tinyMCE.activeEditor.insertContent(
                        '<div class="div_border" contenteditable="false">'
                           + data.html + '<p>&nbsp;</p>' +
                        '</div>'
                     );
                  },

                  error: function (jqXHR, exception) {

                     var msg = '';

                     if (jqXHR.status === 0) {
                        msg = 'Twitter: Not connect.\n Verify Network.';
                     } else if (jqXHR.status == 404) {
                        msg = 'Twitter: Requested page not found. [404]';
                     } else if (jqXHR.status == 500) {
                        msg = 'Twitter: Internal Server Error [500].';
                     } else if (exception === 'parsererror') {
                        msg = 'Twitter: Requested JSON parse failed.';
                     } else if (exception === 'timeout') {
                        msg = 'Twitter: Time out error.';
                     } else if (exception === 'abort') {
                        msg = 'Twitter: Ajax request aborted.';
                     } else {
                        msg = 'Twitter: Uncaught Error.\n' + jqXHR.responseText;
                     }

                     console.log(msg);

                  },
               });
            }
         });
      }
   });
});