define(['utils'], function(App) {

   var common = {
      theme: "modern", skin: 'light', language: 'en', menubar: false,
   }

   return {

      lite: App.Extend({ // Comments: main

         selector: '#mce_main', statusbar: true, height: 100, resize : true,
         plugins: ['advlist autolink link image media contextmenu emoticons'],
         toolbar: 'bold italic underline strikethrough | forecolor link unlink image media emoticons visualchars'

      }, common),

      extended: App.Extend({ // Article and panel
      
         formats: {
            bold: { inline: 'span', styles: { fontWeight: 'bold' } },
            italic: { inline: 'span', styles: { fontStyle: 'italic' } }
         },
   
         selector: 'textarea.mce-editor', body_class: 'mce_text', content_css: 'Template/Css/article.css',
         image_advtab: true, height: 200, plugins: ['visualblocks','instagram','twitter','contextmenu wordcount textcolor',' lists link image preview', 'code', 'insertdatetime media table '],
         toolbar1: 'undo redo | formatselect fontsizeselect | image media twitter instagram | visualblocks removeformat blockquote preview code',
         toolbar2: 'bold italic strikethrough  underline forecolor backcolor | alignleft aligncenter alignright alignjustify | numlist bullist table | outdent indent | link unlink'
   
      }, common),

      inline: App.Extend({ // Comments: edit

         image_advtab: true,
         selector: '.comment-content.canedit', inline: true, 
         plugins: 'advlist autolink link image save media contextmenu emoticons',
         toolbar: 'bold italic underline strikethrough | forecolor link unlink image media emoticons visualchars save',
         images_upload_handler: function (blobInfo, success, failure) {

            var xhr, formData;
         
            xhr = new XMLHttpRequest();
            xhr.withCredentials = false;
            xhr.open('POST', 'postAcceptor.php');
         
            xhr.onload = function() {
               var json;
         
               if (xhr.status < 200 || xhr.status >= 300) {
                  failure('HTTP Error: ' + xhr.status);
                  return;
               }
         
               json = JSON.parse(xhr.responseText);
         
               if (!json || typeof json.location != 'string') {
                  failure('Invalid JSON: ' + xhr.responseText);
                  return;
               }
         
               success(json.location);
            };
         
            formData = new FormData();
            formData.append('file', blobInfo.blob(), fileName(blobInfo));
         
            xhr.send(formData);
         },
         save_onsavecallback: function(editor) {
            var id = this.targetElm.dataset.id;
            var cn = tinyMCE.get(editor.id).getContent();
            $.ajax({type: 'POST', data: {cid: id, content: cn, mode: 'editcmt'},
               url: App.Path.Func, success: function(data) {
                  var resp = $.parseJSON(data);
                  switch (resp.status) {
                     case "error": App.Info('error', Lang.get('an_error_occured'), resp.message,3000); break;
                     case "success": App.ById(editor.id).blur(); App.Info('success','',resp.message,3000);
                  }
               }
            });
         }

      }, common)

   }; // return

});