<style>
   .preview {cursor: pointer;}
   .bin_action {
      max-height: 0;
      display: grid;
      grid-template-columns: 1fr 1fr;
      overflow: hidden;
      transition: all ease .7s;
   }
   .bin_action.image-select {
    grid-template-columns: 1fr;
   }
   .action-btn > * {
      pointer-events: none;
   }
   .bin_action.open {
      max-height: 60px;
   }
   .bin_action .inl {
      display: inline-block;
      text-align: left;
   }
   .bin_action a {
      overflow: hidden;
      background: #297bc1;
      color: #fff;
      position: relative;
      text-align: center;
      font-size: 1.1em;
      padding: 12px 0;
   }
   .bin_action a:last-child {background: #663399;}
   .bin_action i {
      transition: all ease .2s;
      border-right: 1px solid rgba(255,255,255,0.3);
      padding-right: 10px;
      margin-right: 5px;
      display: inline-block;
      position: relative;
      font-size: 28px;
   }
   .bin_action .line {
	  font-size: 10px;
     text-align: left;
   }
   .action-btn:hover i {
      text-shadow: 0 0 3px #fff;
   }
   .bin_action .shadow {
	position: absolute;
	height: 100%;
	width: 0;
	background: rgba(255,255,255,0.1);
	top: 0;
	transition: all ease .5s;
	transform: skew(-40deg);
	left: -20px;
}
   .action-btn:hover .shadow {
      width: 110%
   }
   
</style>
<section class="posts margin-bottom-30">
   <article class="post bd">
      <div class="upload-header"><?= Lang::get('add_video') ?>
      <?php if (User::can('upload')) { ?>
         <a class="sendvideo upload-button ready tip" title="<?= Lang::get('upload_video_tip') ?>" href="#"><i class="pe-none icon-upload2"></i></a>
      <?php } ?>
   </div>
      <div class="bin_action image-select">
         <a href="#" class="action-btn sendimg">
            <div class="shadow"></div><i class="icon-upload"></i>
            <div class="inl">Upload Thumbnail<div class="line">Stream from server</div></div>
         </a>
      </div>
      <div class="bin_action mode-select hide">
         <a href="#" id="dl_file" class="action-btn">
            <div class="shadow"></div><i class="icon-download2"></i>
            <div class="inl">Download File<div class="line">Stream from server</div></div>
         </a>
         <a href="#" id="emb_file" class="action-btn">
            <div class="shadow"></div><i class="icon-embed2"></i>
            <div class="inl">Embed File<div class="line">Stream media from url</div></div>
         </a>
      </div>
      <div class="progress">
         <progress id="progress-bar" value="0" max="100"></progress>
         <div id="progress-status">0%</div>
         <div id="progress-total"></div>
      </div>
      <form action="#" method="post" id="form" class="clearfix">
         <input type="text" name="url" id="url" class="textbox" placeholder="<?= Lang::get('video_url') ?>" disabled>
         <div style="margin-bottom:15px" class="embed-wrapper hide"></div>
         <?php if (!User::Logged()) { ?> <div class="margin-top-15"></div><input type="text" name="nick" class="textbox" placeholder="<?= Lang::get('username') ?>" required> <?php } ?>
         <input type="text" name="title" class="title textbox" placeholder="<?= Lang::get('video_title') ?>" required>
         <input name="category" value="" type="hidden">
         <div id="catlist" class="textbox">
            <span id="catvalue"><?= Lang::get('catselect'); ?></span>
            <i class="icon-angle-down"></i>
            <div class="nano" style="height:110px">
               <ul id="menu" class="nano-inner">
                  <?= App::getCategories('form'); ?>
               </ul>
            </div>
         </div>
         <textarea name="desc" class="textbox" placeholder="<?= Lang::get('video_desc') ?>"></textarea>
         <input type="text" name="tags" class="textbox" id="input-tags" placeholder="<?= Lang::get('add_tags') ?>">

         <div class="bttn-group bttn-group-md float-right">
            <button type="submit" id="submit" class="bttn bttn-primary">
               <span class="bttn-icon lnr lnr-pencil"></span>   
               <span id="button-text"><?= Lang::get('publish_button') ?></span>
            </button>
            <?php if (User::Logged()) { ?>
               <button data-toggle="dropdown" type="button" class="bttn bttn-primary dropdown-toggle tip" data-on="click" data-from="menu-0" aria-expanded="false"></button>
                  <div class="tip-content tip-menu" id="menu-0" data-for="form">
                  <a href="#" class="save-option" data-action="publish"><?= Lang::get('publish') ?></a>
                  <a href="#" class="save-option" data-action="draft"><?= Lang::get('save_draft') ?></a>
               </div>
            <?php } ?>
         </div>

      </form>
   </article>
   <form class="hide upload" enctype="multipart/form-data" method="post"><input type="hidden"><input id="file" type="file"></form>
   <form class="hide upload" enctype="multipart/form-data" method="post"><input type="hidden"><input id="thumb" type="file"></form>
   <script id="video_wrapper" type="text/x-custom-template">
      <div class="video-wrapper vxplayer" tabindex="-1">
         <video class="vx_el autoplay" preload="auto" src="Uploads/mp4.mp4" data-src="{url}"></video>
      </div>
   </script>
   <script id="audio_wrapper" type="text/x-custom-template">
      <div data-plugin="audioPlayer" class="audio-wrapper">
         <div class="audio_el" data-src="{url}"></div>
         <div class="play-track"><i class="icon-headphones"></i>Play track</div>
         <video class="au_video" src="Uploads/BackVideo/vinyl.mp4" loop muted></video>
      </div>
   </script>
   <script id="video-preview" type="text/x-custom-template">
		<div id="video-preview">
			<video id="shoot" preload="auto" src="{url}"></video>
			<img class="buffer hide" src="Template/Images/buffer.gif">
		</div>
		<div id="progressBar">
			<div id="timeBar"></div>
			<div id="seekHandle"></div>
		</div>
		<a class="bttn bttn-primary" id="screenshot" style="display:block;margin:4px;">{text}</a>
   </script>
   <script id="add-as-gif" type="text/x-custom-template">
      <div class="asgif">{text}<input class="gif switch" type="checkbox" name="gif"></div>
   </script>
   <script id="embed-frame-tpl" type="text/x-custom-template">
      <iframe src="./embed.php?media_link={url}" frameborder="0" allowfullscreen></iframe>
   </script>
</section>