<?php

trait Stats {
   
   public function updateViews($id, $postType) {

      if (!$id) return false;

      $CrawlerDetect = new CrawlerDetect\CrawlerDetect;

      if (!$CrawlerDetect->isCrawler()) {

         $cookieTime = 60 * 60 * 24;
         $userHash = User::get('iphash');

         // Tworzenie lub aktualizacja ciastka z id wszystkich
         // wyświetlonych przez odwiedzającego postów.

         if ( !Cookie::is($userHash) ) {
            $array = array(); array_push($array, $id); $dbTest = true;
            Cookie::set($userHash, serialize($array), $cookieTime);
         } else {
            $cookieData = unserialize($_COOKIE[$userHash]);
            if ( !in_array($id, $cookieData) ) {
               array_push($cookieData, $id);
               Cookie::set($userHash, serialize($cookieData), $cookieTime);
               $dbTest = true; 
            }
         }

         // Jeśli nie ma ID w cookie sprawdzamy, czy wyświetlenie jest w bazie

         if ( isset($dbTest) ) {
            $this->sql->where('id', $id)->update('posts', ['views' => $this->sql->inc(1)]);
            $this->dailystats($id, 'post', $postType, 'views');
         }

      }

   }
   
   public function dailystats($id, $item, $postType, $action, $back = false, $data = false) {

      $now = date("Y-m-d");

      if ($back) {
         
         $this->sql->where('date', $data)->where('pid', $id)->where('item', $item)
              ->update('daily_stats', [$action => $this->sql->dec(1)]);

      } else {

         $numRows = $this->sql->countRows('daily_stats','date=? and pid=? and item=?', [$now, $id, $item]);

         if (!$numRows) {

            $this->sql->insert('daily_stats', [
               'pid'  => $id, 'date' => $now,
               'item' => $item, 'item_type' => $postType,
               $action => 1
            ]);

         } else {

            $this->sql->where('date', $now)
                 ->where('pid', $id)->where('item', $item)->where('item_type', $postType)
                 ->update('daily_stats', [$action => $this->sql->inc(1)]);

         }
      }

   }
   
}