<?php
	
	require_once 'Libs/Engine.php';

   $_Render = new Render;
   $_Posts = new Posts('single');
   $_Template  = new Template('base_post');
   
   $_post = $_Posts->post;
   $_conf = App::getConfig();

   $metatags = $_Render->createHeader([
      'title' => $_post->meta->title,
      'meta' => ['description' => $_post->meta->desc, 'keywords' => $_post->meta->tags],
      'prop' => ['og:title' => $_post->meta->t_ent, 'og:description' => $_post->meta->t_ent, 'og:url' => $_post->url_http, 'og:image' => $_post->meta->thumb]
   ], true);

   $_paging = '';

   if (isset($_post->more->prev)) {
      $_prev = $_post->more->prev;
      $_paging = $_Template->loadAndRender('post_paging_prev', compact('_prev'));
   }

   if (isset($_post->more->next)) {
      $_next = $_post->more->next;
      $_paging .= $_Template->loadAndRender('post_paging_next', compact('_next'));
   }

   if (User::isAdmin()) $adm = true;
   if (!$_post->more) $_paging = '<span></span>';

   $_Template->extend([
      'metatags' => $metatags,
      'post' => $_Posts->getOutput(),
      'bottom_posts' => $_Posts->bottomList($_post->meta->title),
      'comments' => (new Comments)->PostComments($_Posts->post->id, 'post'),
      'sides_paging' => $_Render->wrap($_paging, 'div', '.fixed-pagination', null, true)
   ])->display();
