<?php 

   require_once 'Libs/Engine.php';

   // User logged or guest can submit
   User::can('submit.content') || User::isBot() ?: App::Redirect();

   $admin = User::isAdmin();
   $_Render = new Render();
   $_Template = new Template('base_upload');
   $submit_disabled = App::get('disable_submission') && !$admin;
   
   $mdPath = 'Libs/Modules';   
   $module = $_SERVER['QUERY_STRING'];

   $loaded = App::Config('module_photos,module_videos,module_gifs,module_news');
   $_Template->extend('metatags', $_Render->createHeader(array(
      'title' => Lang::get("upld_{$module}_title") .' - '. App::Config('app_name'),
      'meta' => array('description' => Lang::get("upld_{$module}_desc"))
   ), true));

   switch ($module) {
      case 'gif'    : if (!$admin && $loaded->module_gifs !== "1") { App::Redirect(); } $utpl = '/upload_gif/tpl_gif.php'; break;
      case 'video'  : if (!$admin && $loaded->module_videos !== "1") { App::Redirect(); } $utpl = '/upload_video/tpl_video.php'; break;
      case 'pics'   : if (!$admin && $loaded->module_photos !== "1") { App::Redirect(); } $utpl = '/upload_photos/tpl_photos.php'; break;
      case 'article': if (!$admin && $loaded->module_news !== "1") { App::Redirect(); } $utpl = '/upload_article/tpl_article.php'; break;
   }

   $body  = $_Render->incFile($mdPath . $utpl, FILE_RETURN);
   $body .= $_Render->incFile($mdPath.'/tpl_sidebar.php', FILE_RETURN);

   $_Template->extend('body', $body);
   $scripts  = $_Render->incModules(array('tagseditor','jcrop','upload_'.$module), FILE_RETURN);

   $_Template->extend('scripts', $scripts);
   $_Template->display();